GNU bug report logs - #36940
tests slowness and failure after recent Tramp changes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Eggert <eggert@HIDDEN>; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 25 Aug 2019 11:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 07:29:18 2019
Received: from localhost ([127.0.0.1]:43679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1qhx-00026T-Q9
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 07:29:18 -0400
Received: from mout.gmx.net ([212.227.17.22]:55045)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1i1qhv-00026G-TQ
 for 36940 <at> debbugs.gnu.org; Sun, 25 Aug 2019 07:29:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1566732531;
 bh=imsaqV91rj1g0qIxLYD/OuC0XFlIOLGEaKnVNEs5wpk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=hOWS1lsevEEMqlDeReQNQAvEStkkMUh3n1zGWcPbNIubbVn2w/eAoykEKVfVBpwIH
 6xnLgvx9jhpbsVhGru4kDhZV53exSWtl6if+8tvAOZEv4PFlkHVNitTmbXf7/YAY1E
 GKSUSRdz4ym0r2jAXIH5kUglMhCVUvUKHJQx+cnU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.243.33]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lxdfb-1iH08025vf-017Eb5; Sun, 25
 Aug 2019 13:28:51 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 <8736hryoi1.fsf@HIDDEN>
 <CADwFkm=EgkH0_27Uyu0FqGVtUw+9J7Muma8YmTqeAwbdGp7U+Q@HIDDEN>
 <CADwFkmnZ1D-t3BchTSuUrkbkOpKG=yCH9c1ZJbkyGr9mUZrAUg@HIDDEN>
 <87lfvhy4qp.fsf@HIDDEN> <83pnkth8ty.fsf@HIDDEN>
Date: Sun, 25 Aug 2019 13:28:46 +0200
In-Reply-To: <83pnkth8ty.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 25 Aug
 2019 12:51:05 +0300")
Message-ID: <87blwdxz4h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:wqa6ju32sv7n44TlfukDK0Ruazm8o/9sd9g78JUcxJ7E3O8Itfq
 66dIwXq0ch00pl98iXxqALmDXioBS7c/cMUncY7zWVvbcVFwVROQ/g/SceP9w4+fVvK4WEt
 qpEwrbbbJ1NjrSSun/KNU4ISgeju8IkjOLoTpeWbBDxXLhAhqQfJ48L1filynR1nHQoybJ5
 DtrjT3Okmux57YnsyivUQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wARWyFvvaYM=:WZ+3Nnr23khc0jdhK2J9UN
 hODWSWqSk5JTRozzwyED6q8uLvOMqgiaLEvk0mYbelAJ1tHUyzlI6r44YAA0G0qPYwDjSi9Hn
 8YLPZZLwEWxxeE4VcoO0nM1y566jiAezSY2wG70FZrxU0fK6m9YF2dBbwroDpq/fJ1fEGF5en
 6YTwuXfUJSDoFzZhmKt95MPgoe7fj3MZ6vJK6B5FDM9VvenWfwcWQlZu1V/b8jVCJwmWRO43M
 Cmmyrevxfe9fODniNoeaLdcVW7CJfeRLDtoJ3JTW5suOj+PXFVcbjQKSP6/CMZUBOjKUL95sP
 Jx3vSNjm4Bde4wqB9Uw6jloL9EYYeuWgEMMMDcwWkQYviTdDaH+Tijb9+3a7TrtgTbfPO6qGk
 XVmL37aG357p2HtXrYr5+SnurdC158C6xwbvU07EmaStaC9OYoSM9nYWh+nvjCI3toVju8CSQ
 wgyaENJGowR7um5PtpGokhhPndT07qlHdZtabYihpz6DZtL2MoU0beb6Ujh/Zjb4i9MB2N2Vs
 Zi3pv8p1pNUoy/C9p0Fwt/1vLgczIw/MWVh3zUQCyY5aSEea696JJTKQOjigRXb1G80TKm3DR
 c0hEu/UndAewqxIV5Rfjl1Y6olXnfr0V96wq0GePLUwPk0ktbDYfAPTA3JydFqFT2BfvS8nVK
 ruhwPdnYrq+SQx4I8twqi3ZzkubPaWdjwu0XDb6pXwCosNLWvOGS6til7bG/1XGHJYfu5QjBO
 cvx/P6JzipyjnPsYukSuGv5WRdaHYR8Vb0lMO9G4LvHZo7heFAkx01BKtsEh41Pxwi4+j6C59
 KluXYPHSpLG+2niDjlN9ngPW49W9/o5Udo7DYXqYvw3XWf1WgQwJZkgHn97Km5iKzmNdpiyu1
 X4hkZfNczqX7hF/wnKzGah+VxoTB5KBrvmC8LBOrVdIHeoPTAhSjmbiqu038td+Z0hS/iM441
 pvU7dGee3P35JD/6nCwCAuzFIP1NifOQ7W7jcOtNAyAPefVXYnCbuC6aUeReVbuL7lNym0MuQ
 8Kk3FR1kLwUWZ905MAxe65fKeJvkrMNvZ3oc4KMs20wcPVeS/V0YYfeKkoPqWtAMMfxIM+3Im
 yXKf2BNZW5xv6uxpqDLTpeDce9ee8dr/sikDwmyOUYmuALwGGknMNVs9faLwd5Spz+bDpW6EZ
 sZvD4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36940
Cc: eggert@HIDDEN, stefan@HIDDEN, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

Hi Eli,

> Darwin filesystem under utf-8-hfs uses decomposed strings for file
> names.  What you see is the result of that decomposition: =CE=AF was
> decomposed into =CE=B9 followed by the acute accent, a combination that
> displays the same as the original precomposed letter, but is different
> when binary-compared.
>
> I think you should run the strings through
> ucs-normalize-HFS-NFD-string before comparing them, when the
> en/decoding is done with utf-8-hfs.  Alternatively, use the facilities
> in char-fold.el to generate a more lax regexp for your search in
> tramp--test-check-files.

Thanks, I will try to adapt the test accordingly. In core Tramp, nothing
needs to be changed I believe.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 25 Aug 2019 11:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 07:27:04 2019
Received: from localhost ([127.0.0.1]:43675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1qfo-00023P-Bu
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 07:27:04 -0400
Received: from mout.gmx.net ([212.227.15.15]:50463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1i1qfm-00022u-00
 for 36940 <at> debbugs.gnu.org; Sun, 25 Aug 2019 07:27:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1566732395;
 bh=s/52ZtKPCylDc3Vy6hSlAUY2A3xqVG0+nlRFEEkNkxE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Mop0UO9dthoFhOBwmMH709lnFIyreQwnETMRNR7qm0k1pMVlbIq/RvqT07I36sAlf
 EMe6rzaDI+bzeAsQRiIazuK2NnHlFlzhYIqdHScU9xcbrzs/xz3x4QVEQsZXbEW/Dz
 zLA9PfmdKc/vnhggFWkU5033+iWtoDryDBl3fz3Q=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.243.33]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LynHb-1iFthl4ASd-01643E; Sun, 25
 Aug 2019 13:26:35 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 <8736hryoi1.fsf@HIDDEN>
 <CADwFkm=EgkH0_27Uyu0FqGVtUw+9J7Muma8YmTqeAwbdGp7U+Q@HIDDEN>
 <CADwFkmnZ1D-t3BchTSuUrkbkOpKG=yCH9c1ZJbkyGr9mUZrAUg@HIDDEN>
 <87lfvhy4qp.fsf@HIDDEN> <83pnkth8ty.fsf@HIDDEN>
 <83mufxh820.fsf@HIDDEN>
Date: Sun, 25 Aug 2019 13:26:30 +0200
In-Reply-To: <83mufxh820.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 25 Aug
 2019 13:07:51 +0300")
Message-ID: <87ftlpxz89.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:V0wjHeSCKTvq93kgHCiF1MF2RzKydszECrnl3K27uYPknnU4Ubk
 QR9t0xesWui26bf75B/xbhay5WBqYpsoWd4qiVP8Ose1CICrFywwrZBLOiF4Q0otGXsvovI
 nlI69XV4VaRrw29roIZ2oP1Ew6eaLbG6ODU0FS4u04Zdu9lEHAN2vvkII/sbWPf+t9pzOiz
 d6fgC6yRp2ey8l3fPKh/A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9Qe+hpca4pQ=:BMBgFCXfycjuURHQBzSFTD
 j8HYfbCR3KTl929PCn7CAgKNygkqk8hLa3Ewy88jImSnudDKRrnjH8C0EMDLUBN2MvO+NqKMZ
 1CavW++eGwLqp7n/i65tgMZAeWx/jt1DWLMh3FNFrfN8paSFwWpTK1MW2IaWBhlY3OSP9M6xI
 qZYYlig+Hd9ZlWhA9C1finIh+SmocLTHz1pfi2USGM48iQzOwzbkHl/Y1GbPj10ZKPkJIp0Ur
 mWxS7D8uJUKVWaTzjTgbMN5xlZ69JCIbWZ0mjwsyAJp0Myc5auyzgEBdTaFtLHKhts5uThByu
 P8JXcAM0Udwkndn7+KrJ1nCwu2wchGojrQ9rHRyLWdZNTBfuyZtYlTjn+JBLPJg1HShmgfN0X
 xjDT1P3cISrp+jvEhyUyhikDfqhadXTJQ3qYRLL9U4yPcnoe7ol1zbNoiBA+afQ7h61m5xPXd
 Jl27oio+eN3E925ENCHzFG5oQqP29eT3x4ID8klkOJWAuivu1FXwlO2fuNnbBy6WxKF6NZTJO
 8yoLxf6Er7ZM/w7a+PrZ9SN1mzuLZSVDWK+RBdZAm7XHaZ5GLF5Uyx6sJbSn/4jE4bbTuBV1s
 xsf7ODflGIn7E/QYOmxbUy5P6PQr1GWenMgU4u00oevXsIhfWqz0phCno9WIg/P0wICARpuFb
 ohHj6EGn+sJ8wGs5N3yAqFCwK8b6xebIwCKllthgaTWxHKCAS3vEmf4wBztPXcqa7jYxVjTEI
 R1SsgKI/MfY1/DmP0bSDZWm8FXjjy6frsGzt8JUXRwNHwkS6nGIyC7JVD3J3eddRmDA+Xssvl
 qLE7QnEjqDbBbiVXx7ds42Njz03Vsckua1twwTsOfyMxUakfGET1+ViyxpHHvu0/M/nzGIokW
 HM4EULBovo4JdAKYGCxxk3odT4uP6k9Q4tUy4MBknJdXjQT91yvZptWcnZPZ3gEV/Vc6YpcQQ
 5iCEjtQPz+pLOO61kXeYgUppV1k8wrxSO/SFHnAh1kZ5CyjiBcHfTyywsGhhG8OxKcBL7S0+M
 21XaHK2aYevatWhP+FBFzCym+uQmXEf9o76fv7efEm85YP4cykU3K2Qu2ObrcorypC4y8ZQMi
 80o68xZEeVUHEt+EN6yvFXF/Bi3gHW2BsMjVDemCJSfqJDzHru7tanZ55r6JVV5+XslrObSZm
 jQqKA=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: eggert@HIDDEN, stefan@HIDDEN, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

Hi Eli,

>> I think you should run the strings through
>> ucs-normalize-HFS-NFD-string before comparing them, when the
>> en/decoding is done with utf-8-hfs.  Alternatively, use the facilities
>> in char-fold.el to generate a more lax regexp for your search in
>> tramp--test-check-files.
>
> As yet another possibility, avoid decomposable characters in the
> strings you use altogether.  You can find out whether a given
> character CH can be decomposed like this:
>
>   (get-char-code-property CH 'decomposition)
>
> For characters that have no decomposition, this should return a list
> with a single element equal to CH.

Well, tramp-test41-utf8 is intended to handle all whistles and bells
related to utf8 and Tramp. So this case shall be handled as well.

The interesting point is, that the test does *not* fail with such file
names. It is rather a regexp search in a shell output, which fails.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 25 Aug 2019 10:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 06:08:00 2019
Received: from localhost ([127.0.0.1]:43638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1pRI-00008W-Fr
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 06:08:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1pRG-00008K-OY
 for 36940 <at> debbugs.gnu.org; Sun, 25 Aug 2019 06:07:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46895)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1pRA-0007Z9-Nn; Sun, 25 Aug 2019 06:07:52 -0400
Received: from [176.228.60.248] (port=4189 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1pRA-0005IF-45; Sun, 25 Aug 2019 06:07:52 -0400
Date: Sun, 25 Aug 2019 13:07:51 +0300
Message-Id: <83mufxh820.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: michael.albinus@HIDDEN
In-reply-to: <83pnkth8ty.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 25
 Aug 2019 12:51:05 +0300)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 <8736hryoi1.fsf@HIDDEN>
 <CADwFkm=EgkH0_27Uyu0FqGVtUw+9J7Muma8YmTqeAwbdGp7U+Q@HIDDEN>
 <CADwFkmnZ1D-t3BchTSuUrkbkOpKG=yCH9c1ZJbkyGr9mUZrAUg@HIDDEN>
 <87lfvhy4qp.fsf@HIDDEN> <83pnkth8ty.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: eggert@HIDDEN, stefan@HIDDEN, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 25 Aug 2019 12:51:05 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: eggert@HIDDEN, stefan@HIDDEN, 36940 <at> debbugs.gnu.org
> 
> I think you should run the strings through
> ucs-normalize-HFS-NFD-string before comparing them, when the
> en/decoding is done with utf-8-hfs.  Alternatively, use the facilities
> in char-fold.el to generate a more lax regexp for your search in
> tramp--test-check-files.

As yet another possibility, avoid decomposable characters in the
strings you use altogether.  You can find out whether a given
character CH can be decomposed like this:

  (get-char-code-property CH 'decomposition)

For characters that have no decomposition, this should return a list
with a single element equal to CH.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 25 Aug 2019 09:51:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 05:51:16 2019
Received: from localhost ([127.0.0.1]:43581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1pB5-00088T-Ro
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 05:51:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38311)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i1pB4-00088F-Lo
 for 36940 <at> debbugs.gnu.org; Sun, 25 Aug 2019 05:51:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46801)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i1pAy-0004zb-Fw; Sun, 25 Aug 2019 05:51:08 -0400
Received: from [176.228.60.248] (port=3164 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i1pAx-0001XD-QA; Sun, 25 Aug 2019 05:51:08 -0400
Date: Sun, 25 Aug 2019 12:51:05 +0300
Message-Id: <83pnkth8ty.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87lfvhy4qp.fsf@HIDDEN> (message from Michael Albinus on Sun, 25
 Aug 2019 11:27:26 +0200)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 <8736hryoi1.fsf@HIDDEN>
 <CADwFkm=EgkH0_27Uyu0FqGVtUw+9J7Muma8YmTqeAwbdGp7U+Q@HIDDEN>
 <CADwFkmnZ1D-t3BchTSuUrkbkOpKG=yCH9c1ZJbkyGr9mUZrAUg@HIDDEN>
 <87lfvhy4qp.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: eggert@HIDDEN, stefan@HIDDEN, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Date: Sun, 25 Aug 2019 11:27:26 +0200
> Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
> 
> What I see is that the string to be searched for in the tests is
> different from what the test should use. The test declares the string
> 
> "Γυρίστε το Γαλαξία με Ώτο Στοπ"
> 
> The fourth character is "ί", which is 
> 
> character: ί (displayed as ί) (codepoint 943, #o1657, #x3af)
> name: GREEK SMALL LETTER IOTA WITH TONOS
> 
> In your search, the following string is used instead
> 
> "Γυρίστε το Γαλαξία με Ώτο Στοπ"
> 
> The fourth character is replaced by the two characters "ί", which are
> 
> character: ι (displayed as ι) (codepoint 953, #o1671, #x3b9)
> name: GREEK SMALL LETTER IOTA
> 
> character: ́ (displayed as ́) (codepoint 769, #o1401, #x301)
> name: COMBINING ACUTE ACCENT
> 
> I have no idea how and why the replacement happened. Could somebody with
> UTF-8 background chime in, please? Or is it a font issue?

Darwin filesystem under utf-8-hfs uses decomposed strings for file
names.  What you see is the result of that decomposition: ί was
decomposed into ι followed by the acute accent, a combination that
displays the same as the original precomposed letter, but is different
when binary-compared.

I think you should run the strings through
ucs-normalize-HFS-NFD-string before comparing them, when the
en/decoding is done with utf-8-hfs.  Alternatively, use the facilities
in char-fold.el to generate a more lax regexp for your search in
tramp--test-check-files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 25 Aug 2019 09:27:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 25 05:27:52 2019
Received: from localhost ([127.0.0.1]:43576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1ooR-0007Tc-0i
	for submit <at> debbugs.gnu.org; Sun, 25 Aug 2019 05:27:52 -0400
Received: from mout.gmx.net ([212.227.17.20]:40627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1i1ooP-0007TO-AZ
 for 36940 <at> debbugs.gnu.org; Sun, 25 Aug 2019 05:27:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1566725249;
 bh=LkJPeRyrLf14Y7Dxr1gZdozwagmrDEAX6b7Xnuxk21s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=MpymWQjgvDTY3/5SjPDvDnMfxSJvLyKC9gRtTbKGI2iu9r/q90G2iXnVN15Dl42Vg
 wjolkK7daO+Vf/+XpP3C8l/te2lJWkr4jjMrX3wyZ4JDUF/ajb0POSS/GPn/pwziK2
 T+ypRZYPvElyMNHLBizcUMepd3EzhZmTJZ0fOEjA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.243.33]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lu2F0-1iBGit39aY-011TN9; Sun, 25
 Aug 2019 11:27:29 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 <8736hryoi1.fsf@HIDDEN>
 <CADwFkm=EgkH0_27Uyu0FqGVtUw+9J7Muma8YmTqeAwbdGp7U+Q@HIDDEN>
 <CADwFkmnZ1D-t3BchTSuUrkbkOpKG=yCH9c1ZJbkyGr9mUZrAUg@HIDDEN>
Date: Sun, 25 Aug 2019 11:27:26 +0200
In-Reply-To: <CADwFkmnZ1D-t3BchTSuUrkbkOpKG=yCH9c1ZJbkyGr9mUZrAUg@HIDDEN>
 (Stefan Kangas's message of "Sat, 24 Aug 2019 14:53:31 +0200")
Message-ID: <87lfvhy4qp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:Du9JHSi88cNQwTo9S64A4AHO3ZY+1RGq5g/l3LBKUw4mqXaRI7A
 zQ9Aj5mySda+j8rwjytQJH07P9SwjWAAMemUuP6FVlNL79pwLERYNfp2tSx70EtVPlzJKy/
 VgCNRUtDxmZWiB/MfLPFBSEPvI1/E96DFI/KejENtimguGyObtRp70X565uURCXIxmYH7TF
 U2e0ImY/xXmcQIEY0JXFg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:LIYBvatETyE=:oLH6+7r3aXn4l3Gm44MLm6
 UuC5YKmsmzt8PlVuFznAqV04+UcCG1d/qw4PPqGoH7f1OMQUdpsxp3sZV1tEmVtKnqv+zkzTV
 w0Uq2d9ix9zLgHU9MheFptPyj9sr6u44sc2PvYAR2b/lPLQ11b5CB8YNPozL2mayAaCFzTS2T
 ecQOA2uSOey+Q3qIhWivUvLzDCgl/M8fZFIbEjftzyDzS4WqD7cQ351J9Bx+FbV9idU190tzI
 JXQgJUYn93jdMvt+x+lN/mhI/5ixf/frIaQapBBm9V7BS4w737sbEwB6mHG7Y5fMIBf0+JPZY
 +6FdijXnOqwdlpgX2cXGXZGJLNsFtQ6ZI4nCG/eXLy5p1yy2d7+dkDI9VeitQ+SBcNBNrXzw6
 uRp7uGOjQ7i+NJhbif9AOtzIPCwV17Q2qjRGAvbBUDCkUBZA49AI1my6lgxBjtOaIXum9ZZ2r
 nKq5KfYUuYWrb509IVQYjnAlGj+INuPIkMx0o0x9MuM0vrI4uNwcKfbG6rRVkJHRIDSp31Fgs
 mKdSVgKvRn90700MeuD5yUCy/zp2Y1HXoo0ZzqiHSSzFBVxrXZiJOuikWf4OI7YVraH5nc4Dd
 +lUcL25fKLh2+qnae3cKk7AJJddEmKude+UQEhHWAcyo/gEw/KQ9lIcURpIRxd1HfIMAcf0H5
 gH8lt7b2aXKCNTMdWahtMZi/9eIUEd7kGK/Rqdh1jWWkB1S/g49w9V+lJSf3V55EDzwls3L0Z
 ROnhFB0w+zzKNG1xV1Mo6+raZvYcXmZzVJWCDNP9enctmKs723TqtPC6N3iO6P9km9tiXb/uF
 j0IFcQGgsCnLAVIhKM8ai0hgdtoSrl12EgOCIgO4uOTkCE46VfGcozOEzMd+2GQtAJaevMFBX
 /IRolGOGN655eZYtMeS7kMOJS8tRkqhoUmTvOc11ABX6z/TTVkwhVUU8/+d3x73ZP+7I9mcTz
 D4u52diJjxiBYmfDsUDdflzCMTHhgpMTLyiWIhw3nKOXub5BOCiw49v7j8Is31XXUQ/gONH4W
 SZxZ/HbKHb4f7IqMVbTw9VwvmIphMhn1TYToyfH0dYgg1lN46IW18eHjKlRjPRw/1/SD0t9hd
 vh2OcMFSV64OSxViMVakRWxfrdrL5SU1LSlCWE9f+XdD8xL8wlIcOi+NI0gFKu61icXKuPwMK
 4qQfqdv5tPE7S12TyaeZABAgV6T6k6Vd4zLEWiicp2jnrTnA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36940
Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Hi again,

Hi Stefan,

> Thanks a lot for working on this.  Please find attached the log file
> you requested, and do tell me if there is anything more I can do to
> help.

What I see is that the string to be searched for in the tests is
different from what the test should use. The test declares the string

"=CE=93=CF=85=CF=81=CE=AF=CF=83=CF=84=CE=B5 =CF=84=CE=BF =CE=93=CE=B1=CE=BB=
=CE=B1=CE=BE=CE=AF=CE=B1 =CE=BC=CE=B5 =CE=8F=CF=84=CE=BF =CE=A3=CF=84=CE=BF=
=CF=80"

The fourth character is "=CE=AF", which is=20

character: =CE=AF (displayed as =CE=AF) (codepoint 943, #o1657, #x3af)
name: GREEK SMALL LETTER IOTA WITH TONOS

In your search, the following string is used instead

"=CE=93=CF=85=CF=81=CE=B9=CC=81=CF=83=CF=84=CE=B5 =CF=84=CE=BF =CE=93=CE=B1=
=CE=BB=CE=B1=CE=BE=CE=B9=CC=81=CE=B1 =CE=BC=CE=B5 =CE=A9=CC=81=CF=84=CE=BF =
=CE=A3=CF=84=CE=BF=CF=80"

The fourth character is replaced by the two characters "=CE=B9=CC=81", whic=
h are

character: =CE=B9 (displayed as =CE=B9) (codepoint 953, #o1671, #x3b9)
name: GREEK SMALL LETTER IOTA

character: =CC=81 (displayed as =CC=81) (codepoint 769, #o1401, #x301)
name: COMBINING ACUTE ACCENT

I have no idea how and why the replacement happened. Could somebody with
UTF-8 background chime in, please? Or is it a font issue?

> Best regards,
> Stefan Kangas

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 24 Aug 2019 12:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 08:52:00 2019
Received: from localhost ([127.0.0.1]:41636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1VWS-0006DN-A7
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 08:52:00 -0400
Received: from mail-pl1-f178.google.com ([209.85.214.178]:43427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1i1VWP-0006D9-12
 for 36940 <at> debbugs.gnu.org; Sat, 24 Aug 2019 08:51:59 -0400
Received: by mail-pl1-f178.google.com with SMTP id 4so7291810pld.10
 for <36940 <at> debbugs.gnu.org>; Sat, 24 Aug 2019 05:51:56 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Ei3dmy9Y9wTYu3fqUiEXaiGuqjaBsvMsflc87LoO2MA=;
 b=AA+MPxdMR8OTIeEMAYL822tGCuUkCqZ0vKlLi9lryK38zg+0ldllqi9VWsLPn13B7W
 SdVH7Uq5Ose5YFXmCsQJqwQBtp90rc23GGDihX6UwPEFecU3yw8tahbQQmUwnScJ6gll
 AXxSssTHOhZyek2y2qA8q+Rnk24f1GkbXW8qSSa96DurxrWkzGLBhsemBREwBv77CAeF
 bKKBp0Nj89aIXWSiZ1iwmaEUdYpBqBlLuRif0J4tmTjhHNVWiswLfU8aekGOHIEE2pwR
 sv392Cs4ioS+U9l29P5zgBbnywFr/032P75MfK5xjvZPGLuPo9zxiZrqwbmC3OenrA+X
 pApg==
X-Gm-Message-State: APjAAAXR3la1eg/XtoK+hKlt1k5T1ss6FL6Y806CHp+RvCd6btCZyA7E
 V20hH8xYKIrDEZPub8aKnHmFswTRoM+fxMVnJbI=
X-Google-Smtp-Source: APXvYqxc5YygRCfhF41JTJ1Snl48ZaMD+7JkERtbffu29IBpkLJFMsIPoNYgz3eK+jZpSIMlUpqX+xSOdV5JJMlTtfY=
X-Received: by 2002:a17:902:b687:: with SMTP id
 c7mr10105272pls.128.1566651111246; 
 Sat, 24 Aug 2019 05:51:51 -0700 (PDT)
MIME-Version: 1.0
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN> <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN> <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN> <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 <8736hryoi1.fsf@HIDDEN>
In-Reply-To: <8736hryoi1.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 24 Aug 2019 14:51:40 +0200
Message-ID: <CADwFkm=EgkH0_27Uyu0FqGVtUw+9J7Muma8YmTqeAwbdGp7U+Q@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 36940
Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Grrr, the time stamps (0 1) and (0 1 0 0) are the same, but handled
> differently internally. Fixed in master.

> Ahh, the message on macOS is slightly different. Fixed in master.

Thanks, down to 4 unexpected results now.

> These three errors are basically the same. Could you please apply the
> following patch to tramp-tests.el, and show me the output? You might run
>
> make -C test tramp-tests >tramp-tests.log 2>&1

I've done that, but I'll send you the file off list since it's
approximately 10 MB.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 24 Aug 2019 08:08:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 04:08:45 2019
Received: from localhost ([127.0.0.1]:41554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1R6L-0005h8-8v
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 04:08:45 -0400
Received: from mout.gmx.net ([212.227.15.19]:39665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1i1R6J-0005gv-MH
 for 36940 <at> debbugs.gnu.org; Sat, 24 Aug 2019 04:08:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1566634104;
 bh=VsgudVEvhbFIeigj+g5N4YqA6ZCUN+HZ6HjTg0yrBrM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=TXoliRYZlnWtpYzfAObsU1Iw/ZUVE3PNMpZ4HpneMf5PGWorGO/yQfewPy+a2dMv5
 eW+1tbdKI4RIcz0MAaMF9oaY7vvxuvLXDx44TUopch+316kZshXW6Xd75yed2zz9x7
 u86yOMDhBWfrG6CF75LDQa40QeHr97eib60ZBiGk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.243.33]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LqylH-1ifhvP1x6x-00efAb; Sat, 24
 Aug 2019 10:08:24 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
 <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
Date: Sat, 24 Aug 2019 10:08:22 +0200
In-Reply-To: <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
 (Stefan Kangas's message of "Sat, 24 Aug 2019 03:51:26 +0200")
Message-ID: <8736hryoi1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:4olK+H68bNA37EJCwf95kbwsNjuH4nmP8oEzuTqn9BmI8g0JOnM
 pox1G1FDS58rsk21sDzjIY3d2/fGKrhFBc2OFN0noA1YxXz/R7EKjPHR7IlJqyBQ0DqUl5f
 Ucdyak4Gatifje52Yv+/hAMOJcP2eTsFElZLQXTpyxO1h3SYBmeSb7s4F8cVdoFoeyDE365
 btK74NGba51f6Mc6Tx5Gw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:arUlaH4kgtQ=:S6zpcsSyLsX5tEobW4dVa0
 9ok7cwrE+LE2iFGsqgOupwewgyiBlwGgYACnxyMqu1A22Ld01KKTNPCnG3w6VYfUUUlZOFaML
 P5tXUMWrXjeiX/VlZqFBlM1l5orxCPrc/0bw0k2gU0wUnFfZg8cREvP2Q/bYSUw1F1YsuMUmq
 Sz4vHy/tFznr5St60xqp5YFLrmxDeZwLRfPfpFQyZiS2sIc+wAMMwCztzC6yOuwUcggq/xqGo
 7f1YIyEWeHYTQ6YhKhooEvcQKJtj9QTS9g5KYJ9/0F2rOgUeS/L3QJBhrJomeY02SEeWIlrlc
 TYNzapyqY0tmVMwYNc5OF/X/mCIrkVHlM5ZpjItn7mhIwIVnZNu8iWFOEIwvVW03ea70CsGgv
 2Tzut8zihyDxu3+EQf1jFhncWtkmsDd3yLfEA3jx8kWvXtOp1J5DP3/Tvz5LrYbs9MvgQcp8R
 uwwTApXRIbtIX9OTEEMGDkFoajm4YXQTgoYSLivxWs/jyzupLmeIYv8I7CSMrJMMCTFxcCZq/
 7oC05LLHnjmWjvawB5F1MIWY3fFzpqj3164yZrhSGxE++b68FNeBrtNZ3wA1nT0I/SJgqeoed
 fQaUUzDHgGBm9/zqTB87pIHhMBuds79r9g1CkqZ+uXhu0SVZVD95Q7/q2SjlYCs9cVNfHvXTr
 IRkbXmVs2kwkQf4AcXI8ZtQa/FPpOQ8fjTFTIU5vtB/ezajgcdkiFVF2NH/5t9WEnsUMixIwo
 fSpQvFjrPl8rufXiRBIV4dOUsDqIYODmdTUN8CE7XbaHKsUKdSPzoUWe/LrUTrXKck20slSxB
 rodvR6cZLzfb9yuWjOdkKxhYCcGxw2Rs3lLQrWfbC5iUJj9MuuON3QMlHZNZqz3NiH0vg6eLI
 jPjlG8ykLjH7FK6a0S6IP/MioqJdO4+B53aqOKEMLIqSv5+xV6U5qpvuDiTLPJ3C9averpv5r
 HHKwG27bzED/12xwRwqriubX3wKpNSEj9/JHrs4xWNBcvxlJVl7ZR3saWJDZgidGGFE7rtk8+
 Vf0FqUd3x0ukNQLsTD39trU8sK4J33MuUzZwljER79Zu+QYlqsjfvHxQjUUJHmwq0Uxca0ZtX
 6sGjS2rDuBuAnYt4GNgtXysULL1ucNA7IFa2dn2iCZuT/osah/Wfoj3/Q==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Stefan Kangas <stefan@HIDDEN> writes:

> Hi Michael,

Hi Stefan,

> I'm still seeing failures on my MacOS machine on current master.  I
> have attached a log with two failing tests from when I run "make
> check" in the top level emacs folder as the file tramp-tests.log.
>
> Weirdly enough, when I say "cd test ; make tramp-tests", I get six
> errors instead -- but no log file is saved.  Not sure if I'm doing
> something wrong here, but I've included the console output from this
> test as tramp-tests2.console.log.  I tried running the tests in both
> ways a couple of times, and this odd result is reproducible every
> time.

If you say "make check", the default ert selector is applied, which
excludes expensive tests. if you say "make FOO", all test from package
foo are applied, also the expensive tests. You see it by the different
numbers of tests, 47 vs 67 tests.

If you want to get a log file when running tests for package FOO, say
"make FOO.log". This seems to be broken now; will check.

All of this is described in test/README.

> (Not sure if you want to reopen the bug report for this.)

For the time being, I'll continue to reply here. If needed (more complex
failure, not reported initially here) we might need to create another
bug report.

> (t 3 501 20 (0 0 0 1000) (0 0 0 1000) (0 0 0 1000) 0 "drwxr-xr-x" nil 413=
69843 (-1 . 18))
> (t 5 501 20 (0 0 0 1000) (0 0 0 1000) (0 0 0 1000) 0 "drwxr-xr-x" nil (63=
1 . 16627) (-1 . 18))
> Test tramp-test19-directory-files-and-attributes condition:
>     (ert-test-failed
>      ((should
>        (tramp--test-file-attributes-equal-p
> 	(file-attributes ...)
> 	(cdr elt)))
>       :form
>       (tramp--test-file-attributes-equal-p
>        (t 3 501 20
> 	  (23904 37780)
> 	  (23904 37780)
> 	  (23904 37780)
> 	  102 "drwxr-xr-x" nil ...)
>        (t 5 501 20
> 	  (23904 37780)
> 	  (23904 37780)
> 	  (23904 37780)
> 	  170 "drwxr-xr-x" nil ...))
>       :value nil :explanation
>       (list-elt 1
> 		(different-atoms
> 		 (3 "#x3" "?")
> 		 (5 "#x5" "?")))))
>    FAILED  30/67  tramp-test19-directory-files-and-attributes (0.996916 s=
ec)

Well, this time it is because of a different inode number, 41369843 vs
(631 . 16627). Will check what's up.

> Test tramp-test22-file-times condition:
>     (ert-test-failed
>      ((should
>        (equal
> 	(tramp-compat-file-attribute-modification-time ...)
> 	(seconds-to-time 1)))
>       :form
>       (equal
>        (0 1)
>        (0 1 0 0))
>       :value nil :explanation
>       (proper-lists-of-different-length 2 4
> 					(0 1)
> 					(0 1 0 0)
> 					first-mismatch-at 2)))
>    FAILED  33/67  tramp-test22-file-times (0.567633 sec)

Grrr, the time stamps (0 1) and (0 1 0 0) are the same, but handled
differently internally. Fixed in master.

> Test tramp-test30-make-process condition:
>     (ert-test-failed
>      ((should
>        (string-match "killed
> \\'"
> 		     (buffer-string)))
>       :form
>       (string-match "killed
> \\'" "killed: 9
> ")
>       :value nil))
>    FAILED  41/67  tramp-test30-make-process (1.024851 sec)

Ahh, the message on macOS is slightly different. Fixed in master.

> Test tramp-test41-utf8 condition:
>     (search-failed "^VAR_971C287AFA5BBEDD54ACB58B1CE718B4=3D=CE=93=CF=85=
=CF=81=CE=B9=CC=81=CF=83=CF=84=CE=B5 =CF=84=CE=BF =CE=93=CE=B1=CE=BB=CE=B1=
=CE=BE=CE=B9=CC=81=CE=B1 =CE=BC=CE=B5 =CE=A9=CC=81=CF=84=CE=BF =CE=A3=CF=84=
=CE=BF=CF=80$")
>    FAILED  58/67  tramp-test41-utf8 (35.641851 sec)

> Test tramp-test41-utf8-with-ls condition:
>     (search-failed "^VAR_971C287AFA5BBEDD54ACB58B1CE718B4=3D=CE=93=CF=85=
=CF=81=CE=B9=CC=81=CF=83=CF=84=CE=B5 =CF=84=CE=BF =CE=93=CE=B1=CE=BB=CE=B1=
=CE=BE=CE=B9=CC=81=CE=B1 =CE=BC=CE=B5 =CE=A9=CC=81=CF=84=CE=BF =CE=A3=CF=84=
=CE=BF=CF=80$")
>    FAILED  59/67  tramp-test41-utf8-with-ls (29.942527 sec)

> Test tramp-test41-utf8-with-perl condition:
>     (search-failed "^VAR_971C287AFA5BBEDD54ACB58B1CE718B4=3D=CE=93=CF=85=
=CF=81=CE=B9=CC=81=CF=83=CF=84=CE=B5 =CF=84=CE=BF =CE=93=CE=B1=CE=BB=CE=B1=
=CE=BE=CE=B9=CC=81=CE=B1 =CE=BC=CE=B5 =CE=A9=CC=81=CF=84=CE=BF =CE=A3=CF=84=
=CE=BF=CF=80$")
>    FAILED  60/67  tramp-test41-utf8-with-perl (36.502001 sec)

These three errors are basically the same. Could you please apply the
following patch to tramp-tests.el, and show me the output? You might run

make -C test tramp-tests >tramp-tests.log 2>&1


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/test/lisp/net/tramp-tests.el b/test/lisp/net/tramp-tests.el
index 180f746c64..42d44f780b 100644
=2D-- a/test/lisp/net/tramp-tests.el
+++ b/test/lisp/net/tramp-tests.el
@@ -5459,7 +5459,8 @@ tramp--test-utf8
   (skip-unless (not (tramp--test-windows-nt-and-batch)))
   (skip-unless (not (tramp--test-windows-nt-and-pscp-psftp-p)))

-  (tramp--test-utf8))
+  (tramp--test-instrument-test-case 10
+  (tramp--test-utf8)))

 (ert-deftest tramp-test41-utf8-with-stat ()
   "Check UTF8 encoding in file names and file contents.

--=-=-=
Content-Type: text/plain


> Thanks,
> Stefan Kangas

Best regards, Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 24 Aug 2019 01:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 21:51:47 2019
Received: from localhost ([127.0.0.1]:41446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1LDW-0004d2-1x
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 21:51:47 -0400
Received: from mail-pg1-f180.google.com ([209.85.215.180]:39866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1i1LDT-0004ck-M3
 for 36940 <at> debbugs.gnu.org; Fri, 23 Aug 2019 21:51:44 -0400
Received: by mail-pg1-f180.google.com with SMTP id u17so6756374pgi.6
 for <36940 <at> debbugs.gnu.org>; Fri, 23 Aug 2019 18:51:43 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=P+ZG8YVSzSy2+XmGw9YyQaljh4Nd0I45x5kNTj+b+hQ=;
 b=uQVRsFdv9ebXjks3D7i16ygb63cl6qYSd5p1LqwugHIilFfeNvx2xmBKbEaYvGRjbC
 kiX+RnkAm+HeKUH/CTmJjaH4KJMNZ7fg6vbvi/cRb+ckXuOaR59zbUVCOr605Q99BrLG
 P6YZjavYi8fjehTVeNh09KomS/5baQqICi/4VtPcj2WTK/VPYHhf/qKkEK3zoBirZ1Z3
 MzwUcVG/zHX6hxEFs+W3rXoetHMxU0ZQvlwIwRA4zr6HUOouX/thxfmqiwqD0xo8u8mM
 aLn/5+XNMlOrnjxejFrLF72D3hP465m6pG16M8YKExFEqgf2Q2EIYpJLCNFH6RV8EHLH
 JhRw==
X-Gm-Message-State: APjAAAVRGpdjGY6n90P9bZGe4SUu/u43CsrmlMTgvBy2cQkPTqOPc85G
 CKRqY+VST4jusmeZYc5WVZawaZrWPEm+iAoKBpE=
X-Google-Smtp-Source: APXvYqxS7SgwhHQuqI96bjRQZlrx9DFhYwvoLHv/aFw/EifqzlbljqHVjguUd0i4X7Hhwtlf9mUZN/LeQFAg3EM56VI=
X-Received: by 2002:a62:7789:: with SMTP id s131mr8560292pfc.50.1566611497789; 
 Fri, 23 Aug 2019 18:51:37 -0700 (PDT)
MIME-Version: 1.0
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN> <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN> <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN> <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
In-Reply-To: <87v9v0avhm.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 24 Aug 2019 03:51:26 +0200
Message-ID: <CADwFkmm4r0WZ-LnXNo7x6TvJQohun9PS8bCHzri5zOdjztBjPw@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000d3ccc20590d3298d"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 36940
Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000d3ccc20590d3298d
Content-Type: text/plain; charset="UTF-8"

Michael Albinus <michael.albinus@HIDDEN> writes:

> I guess there's nothing left to do with this bug. Is it OK to close?

Hi Michael,

I'm still seeing failures on my MacOS machine on current master.  I
have attached a log with two failing tests from when I run "make
check" in the top level emacs folder as the file tramp-tests.log.

Weirdly enough, when I say "cd test ; make tramp-tests", I get six
errors instead -- but no log file is saved.  Not sure if I'm doing
something wrong here, but I've included the console output from this
test as tramp-tests2.console.log.  I tried running the tests in both
ways a couple of times, and this odd result is reproducible every
time.

Please let me know if there's anything I can do to help you investigate.

(Not sure if you want to reopen the bug report for this.)

Thanks,
Stefan Kangas

--000000000000d3ccc20590d3298d
Content-Type: application/octet-stream; name="tramp-tests.log"
Content-Disposition: attachment; filename="tramp-tests.log"
Content-Transfer-Encoding: base64
Content-ID: <f_jzovb0910>
X-Attachment-Id: f_jzovb0910
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--000000000000d3ccc20590d3298d
Content-Type: application/octet-stream; name="tramp-tests2.console.log"
Content-Disposition: attachment; filename="tramp-tests2.console.log"
Content-Transfer-Encoding: base64
Content-ID: <f_jzovp4x11>
X-Attachment-Id: f_jzovp4x11
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--000000000000d3ccc20590d3298d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940-done <at> debbugs.gnu.org:


Received: (at 36940-done) by debbugs.gnu.org; 15 Aug 2019 04:26:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 00:26:18 2019
Received: from localhost ([127.0.0.1]:50305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy7L8-00070G-BO
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:26:18 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:60308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hy7L6-000702-S2
 for 36940-done <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:26:17 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id F2AD41616A8;
 Wed, 14 Aug 2019 21:26:10 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 8TpMvV9ERv-Z; Wed, 14 Aug 2019 21:26:10 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5A5381626EF;
 Wed, 14 Aug 2019 21:26:10 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id TLB6NS9Ua3Dh; Wed, 14 Aug 2019 21:26:10 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 2E6391616A8;
 Wed, 14 Aug 2019 21:26:10 -0700 (PDT)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN> <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN> <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN> <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN> <87v9v0avhm.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <4952fbe1-ce9a-9c3d-7119-780e99f19ddf@HIDDEN>
Date: Wed, 14 Aug 2019 21:26:09 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87v9v0avhm.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940-done
Cc: Glenn Morris <rgm@HIDDEN>, 36940-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus wrote:
> I guess there's nothing left to do with this bug. Is it OK to close?

Sure, closing it now.




Notification sent to Paul Eggert <eggert@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 14 Aug 2019 10:32:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 06:32:18 2019
Received: from localhost ([127.0.0.1]:48958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxqZl-0007AF-Vu
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 06:32:18 -0400
Received: from mout.gmx.net ([212.227.17.22]:47349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hxqZj-0007A1-IA
 for 36940 <at> debbugs.gnu.org; Wed, 14 Aug 2019 06:32:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565778713;
 bh=J3sQEQ9mR26bU43N9B+d+INswHkNJTndkY2VWQT4XEU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=PVdvBNP4KMyo6nypgywzPZkAU85g6fyDL+tldmkuuohk0h2a8cPrjM0z8Ey8Rvs8S
 WcWUgp2RPsmycCTPKexwBch7kly4yTTPkpcvpUuZDamwV2ZwftoLsFfeZ67NGGu1oM
 r4XeB0TrFu7PIC67NwzebzLeZqcHDsUfcWkHID9A=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.149.212]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M0tr1-1iHj0A1bsl-00v6ek; Wed, 14
 Aug 2019 12:31:53 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
 <87h86of1tm.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 12:31:49 +0200
In-Reply-To: <87h86of1tm.fsf@HIDDEN> (Michael Albinus's message of "Sun, 11
 Aug 2019 12:12:21 +0200")
Message-ID: <87v9v0avhm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HCm1ILsVBU1gDBcfeHbhCy5tSJakH0+E1UJfw6Z02GHYjgZsT4o
 pmKy1Gl/76C0chBwUH499jy2CpD4RlSILsXhztDJs90arASN8IC6FChNEvcSkOx7FjM2LJa
 7MdMbq7Y8ZhwSxCYeFxga0uvMDcXrjBzz4YhkPkSr2gXJRsfoNh3zcoHJ0oPCXxoy9dUTGJ
 IK4BFEPe3sHj3bLelGtZA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:M9K7ET7MjTY=:YLObcuCeKbupY36BRNxQtx
 RH08BCTm5GR+eiAYYjELczZ8YonfPqTlS5V8Khz48O0OWPdGnSSEcA1fxiX8PPMrPXQwmdeJT
 T9d8MIM6MwRdIPSgdrcie2h05962tq4uD4nSW9rIzLjEFTB4UQyf8Fmdh7n2NKTw7A4ogl0te
 85Mc9/6t76QwKJhEMM7cPTo+ctXTe9UY5lLoR5yFQP6f/4NfKdmaVZoHree87C2C4Y1gnwwgy
 1ztZNHXGHbSAWgkEJvpmu80OvM/kOLE6vfiKbZPZuLUtxxqYC7yzKTsct/mjocB56ijhrCeOu
 AVZCTAA50zbhI1qf/r/MMnLqLyBmW+Iefr0+rGa2Sx8ZM4Y71xyxAXxHoAhd93T8vQ1t99U0h
 r7AaWO+bTKIWvsSGKnv2tRTMsYz8fEY28Bp+dkV2ueRanET0f7v2RosaAGBEY4Y7dG6Y+PUZ4
 rrB3XrbswwJFFuxlvRFDt1kNciOXhBy5xuMI7GEEHPsFwqhhHEqrR2yWdhspjpHIe5WbPxR78
 UMvDQEDRUvuN9Jj4OdrKBm4LvGtmzO7/HIgqUOUG/kNE2o6bpwEmrkZcMsrxbywo8C63wKXrZ
 JVYzRd51YSUTUYsGNPylmxIr4ez1t1oNdRsCA3w6sSgxAq3/P8MCAZlYSHpz796b/S17MiFFD
 GUSzwcjaV19T1PwKVs+/4N/oQUPxrj561C2SwSeSA8HWt9mM208RcIeqFMAB+5XAHRfMW9Fhi
 AqhAbKz9QS1FMRHLuXsnSdvyUgkujSjuR4pB0tGKBhQYsSo8RDgwkwQrelFcxPK8bKnGz5A6W
 2L+PZALvTCFykrRJYQb8BKyQRaUXrYO6uKlGxPcNVSVMli1ZfWABcu0oREIURJQYRh/m9zG9a
 kN4H0zLh2pdST/PmvyaIW+otG9JqFc3U6ZTRwnWf/k5fTKNBy7ZOoVbrqbKYT9cwAjpCzp7Ka
 BM1ArZdMvUQHTdPIUF5oX2FPuizehcZRqvxaw9AfQQQxa48V2S8YPik8z6cXCEaDyfkYk+pnN
 d+3W/kJFtnhLmICvWL3KR2U/RckJJ4VTr8vBLOyBMMkpjp7BTVmvkiX6GAkKYQCkdjQLXN/he
 xIf6ZdS7LiYQSDWkdq/vmPPnFEg1Inp+hhNC9pZNZB9t04bvVBftveC+9FG2u6VrKKOW8+y/G
 b31oU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36940
Cc: Glenn Morris <rgm@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi Paul,

>> Can we do the equivalent of 'touch nonce-file' on the remote machine,
>> and then retrieve the nonce-file's timestamp? That should be a
>> reasonably-reliable way of getting a remote timestamp at the start of
>> the test.
>
> "touch ..." would work only for ssh-like Tramp methods, which is the
> minority. I've applied a similar approach, using the modification time
> of the very first remote file created in the test, as start test time.

I guess there's nothing left to do with this bug. Is it OK to close?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 11 Aug 2019 10:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 11 06:12:49 2019
Received: from localhost ([127.0.0.1]:44775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwkqH-00058j-2a
	for submit <at> debbugs.gnu.org; Sun, 11 Aug 2019 06:12:49 -0400
Received: from mout.gmx.net ([212.227.17.20]:39901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hwkqD-00058V-Kr
 for 36940 <at> debbugs.gnu.org; Sun, 11 Aug 2019 06:12:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565518347;
 bh=RUg0++56NCXDq+nxUaERw8YMYgALvRhPGAuyES+t3gw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gjY1v54yuNvE5J1ZnxQvHmSxmPBpLTRJcsHWaQ5RzFtYn0+G0AwwrLRK6HCgAJdkO
 LKUbqG1CB1vbSgsWfa6Bd/3Wg04uWdoUnSG5E42G6ul/H8CfttXNp7nrlRleLafZi+
 I/ITll1JH+zh/8gQHfj4XiJE/8Yf9mp49aqk7Ix8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([217.70.140.140]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MIMbU-1i8qCc3ygm-00EKOy; Sun, 11
 Aug 2019 12:12:27 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
 <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
Date: Sun, 11 Aug 2019 12:12:21 +0200
In-Reply-To: <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN> (Paul Eggert's
 message of "Sat, 10 Aug 2019 13:24:07 -0700")
Message-ID: <87h86of1tm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:POTP+LtG8YGvoyv/EQRNd0mF4hVHLEsvckgQEjYF9d+kn8j3hfi
 NUN1SlixFyonJVZPVx7oPDmIHN2YnmHLtv6/9I59HNPEYB7FR8Sjjee61TpaTRHivWfwe9j
 5G9Q66hXXXDhpciBbkqyaP6c90VDo7xMPrW2fJvVvuwQVsP3NRyTdLsewz/APsF0YjpMGYv
 2ZZhU8TpMTaiEemYgt3kQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:am1I2/ZtJRc=:Bj3Ab3ElMS21dtVc1oBom5
 DgbfeXMWY2yHbSwUJK7AswnIo1h+o07Do+rOqr0hw0BQiuE/Iv6WGUSJdKkEOgsIeMbWhoETk
 0UTQtNDeEl8fQlEUzelyqk9i3dZFpuEhqoSkPx1ft9a+Wo7G4HmIHCkwZjXCvi2e+q+4a5h5i
 liPB/QLqeNFW9y4c5r6ZdLgHuCgXkmMRM8SBEVwh2cqr9BZz2QTc0LVjXijeyDzrYHaBOoJ2t
 0jPj75kObD5VsHw/0N3bUzh3dMYdLKXnBdmtJRMb7VHS7kvQy+4kbAMV/AgEI/An70ia/hmAG
 cBxG5iTYPfRa5fXoyhN5+pLHApx1e1tu52Lt32+bZX7RruUVW0wiw3t6zLwFTYsUEUwHo44pY
 Gdexv0ulz6wCdoQNwx6ebeoHJVjV/O0w9HCXdILe68UrekKBTqmzt5v2bQPbms5We6J1GeH7I
 V7ZLN4JpKkxG3W8R5QDTah2YE2wIW49MtA1UD/mDRM2ffhKEqxvvgYkJxvffnaZqklIIW13lj
 pWtezeBhO8yzbdZYRV0hbDZF9aVESryq2oa1aZryzW9WVK89wnHnUyRSpv+BdI3FrcN43/ljR
 GtUSX9Hg5mhmthoaijCsUfNY7NqQTueQj7ANVPibfCVwbf6rbJEwO9yUqUuLKFxyhdlSS3afg
 WJXnu3ZuS6BjOlAq/w6ZZ51WazoDuVSdDmK5xbafLveIm6OzPQDuNeM+jJSgD4GTpsbq+eBGO
 /7Hjiq9dBJW4bYJqHWntxTM2Dx3/Bk/K+xMB+BjA7W93O/l/kGBP1X8dvgAAoJ+2eFPHcEqA/
 xh4QF8IBVi5DVNh/ZdqzuxOoi5NoR95rIsmR26wK+SHPVVLw4R3svM8Q2Vi3j9RkRNjXJY1Jq
 ODqqNVmlQw6SrGttmn7LWlDRvioGeOBTqEpygjlTSMQ7H9FRQKjlOgK08ccc7dTYSYxD8ZGgz
 5Jt1eTfsDKyass+mLAWeeBsSaGxuVXIi2LjlmnrMS1PsgD9+eKA2Fh+gssCIq1PmMBbLY3GIY
 kze0u0U/SFDN5L7bJeZiuTNZBv+imGEX5qJNxjhM0Rk60ZFi03qXaprg6phbIG8hKboFB273h
 F9TnY44O24ejWzf8hBS4RCtGvC6GrbTCnyGb2bZmZJxk+hZ3xnVssvPmCaVQKUJO1HZ+BCSfB
 EBuE4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36940
Cc: Glenn Morris <rgm@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> Can we do the equivalent of 'touch nonce-file' on the remote machine,
> and then retrieve the nonce-file's timestamp? That should be a
> reasonably-reliable way of getting a remote timestamp at the start of
> the test.

"touch ..." would work only for ssh-like Tramp methods, which is the
minority. I've applioed a similar approach, using the modification time
of the very first remote file created in the test, as start test time.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 10 Aug 2019 20:24:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 10 16:24:16 2019
Received: from localhost ([127.0.0.1]:44505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwXuR-0006Iy-U0
	for submit <at> debbugs.gnu.org; Sat, 10 Aug 2019 16:24:16 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:49090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hwXuQ-0006Il-MU
 for 36940 <at> debbugs.gnu.org; Sat, 10 Aug 2019 16:24:15 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 044D21626E2;
 Sat, 10 Aug 2019 13:24:09 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id XVoB4ew60bNK; Sat, 10 Aug 2019 13:24:08 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4224916270F;
 Sat, 10 Aug 2019 13:24:08 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 2lZptsnGTiGv; Sat, 10 Aug 2019 13:24:08 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1499E1626E2;
 Sat, 10 Aug 2019 13:24:08 -0700 (PDT)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN> <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN> <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
 <87mughfj96.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <470b50ab-6658-e3cb-cd59-916c398c442f@HIDDEN>
Date: Sat, 10 Aug 2019 13:24:07 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87mughfj96.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: Glenn Morris <rgm@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus wrote:

> A more precise test would be to retrieve the ert test start time, as taken
> from the remote machine. But I don't know of a general function doing this.

Can we do the equivalent of 'touch nonce-file' on the remote machine, and then 
retrieve the nonce-file's timestamp? That should be a reasonably-reliable way of 
getting a remote timestamp at the start of the test.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 10 Aug 2019 09:44:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 10 05:44:00 2019
Received: from localhost ([127.0.0.1]:43472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwNuq-00077O-0u
	for submit <at> debbugs.gnu.org; Sat, 10 Aug 2019 05:44:00 -0400
Received: from mout.gmx.net ([212.227.17.22]:41851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hwNuo-000779-In
 for 36940 <at> debbugs.gnu.org; Sat, 10 Aug 2019 05:43:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565430218;
 bh=jdESbv/qzi6UDywUTO1Ycbnc+P8TVyJM0bND8gAYgNA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=TCPL/MsxO0pr4NXgdSYSvY2IQvbUMSy6e0Nam/vDINJliT5Mt9RO5d609m/Ry0vpg
 BLJMw5LIkdD9bOBtHA+A6ZCeBl4m98sCN9wKnLMIxyGn9w5c8eB+O6AzTR2A/p0tGs
 k+qPwUIVGiOVFfGhC1+WPOMHHmaO3rWjTQIbmM64=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lfppu-1ifvDE0Sss-00pIMo; Sat, 10
 Aug 2019 11:43:38 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
 <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
Date: Sat, 10 Aug 2019 11:43:33 +0200
In-Reply-To: <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN> (Paul Eggert's
 message of "Fri, 9 Aug 2019 18:39:13 -0700")
Message-ID: <87mughfj96.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:6E4Ja2gYPmsi1yY4sdDyc9+dXE/xvyN+YUI7dKGjyBlbjOlus4h
 UWcVFtp/sthiM0x8hh4dLbF3yU45qGNQ8e1lttul7pmeVLzlP3bhWLv3BDMAWIYV156FFPE
 VZGpmSQ3RTluzYKrTP910LXq6/a6XvBPZFhvGRt8R6fDx/RFguVXbogV1iLsAA7V2Y3VQ2A
 hqp6JiP/Opx6N5kiff4oQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+hw60PwzGQo=:BNsr1eaOeL/56h8AKNpDl0
 6qwDBaI6U7VVa/6ImvYkhvhm+M/jqESPhVllyORFfAeeT+THwEs1A9q/+2tOetNliPl5Pcepr
 hA8h3vYNWLI0dwh7p51vcL9GmMkl5Oqkp25Ypcw0swtsObg8wkhGnxfcR6Svr6mJKUL9zx2Ds
 85nB/uA3tVHw590ncfl7GlIyPz5PRtWi3pfUFyn5rEgT2ZAy0lf5NZuukUWPkL5oq8Xsrucsf
 z28QcoUFgpQH5rZuiWvNt5FKuU+JAloYRyeo37PtBACUMnzKqQECzQNFyRIz+RtbWIPh0mpDH
 bkBreCHMIluzqvrlQB06Pn0ndUbIGM/sUaOPEbvTwd0vc2otpiFRFhWOECh0mW6ep5QcXlngU
 WyVDanXhIiMVWm4kDI1Fb5JFRMFhsqCGuHyvRgq+scQ4AE0d9Xe8xfz3/7AsSAS20CPdEGQPd
 VipSBhyNCHOn4OGEb/FaGkXDTV+589qT2mfT47ZTjEh4cfJHBKctWdZc4X0qAsI1fC/2/AaOP
 aaYEjMj6ucMULmB/u74SPX2XLWLYRJwFIQB1btdMU56rHGXXYs18LNg0DPv1IArKI/aSdfvkO
 FOxfJpxSHIWBOWh7YLcrYWyO97kET+fgskUfFghVODA9RzpL5CEeSvvaYapkg0g8suckci7gb
 pos7jmOHgJiS2G2591Y8iXT469XsBKj1T+VLQmm1n1NFv2k/+xJKsPEJMhy1ydAcfjN3gxiL5
 MYYqRxBJNLq4Rjb2BVZ+BWWklkWwUvHwQ/XIQMCxLyTlz4nZbCw+5ISy4boVqlG9u3g+ehIQJ
 9/va7siZ7R40ONsqX70dr+bC6ePefko3J6POwoTadu25sZJZDrnwPNnzrc3Y/Rd4akSHOATOm
 AZLxV0JNd/atNBJDkjfuDSuNPtTXzNQDD+vERbpQY1K4oHu7TGHiYxlF+4wqa9jszjBYg5RSM
 UE5LkZlw8LPwqjT+IizqEMguhhO6L7VviayMAf3OwMkMVsIderi1PVK2tPYB1zX1oB792ZTv5
 61Io0ohYXEh2R1Oj+IvfM52rLxaexItqVeTO1CCVm45qkXa7HR6LXDucqkitb37r2M4T3cHJy
 VnDsHX/LB7KXbNT8YUMjTjo++oWZ9zVQC9XmSxYJG1rhEUW3B0P7Ec6/rZcxFdqnLmBZd+x0A
 p0pSY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36940
Cc: Glenn Morris <rgm@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> Your patch has several instances of (floor (float-time X)) that would
> be slightly better if written as (time-convert X 'integer), as the
> former has (unlikely) rounding errors that the latter lacks.
>
> I assume that the test now uses integer timestamps because file
> systems routinely drop low-order parts of timestamps. But won't the
> test continue to have problems with filesystems whose timestamp
> resolution is 2 seconds? I have heard of such things.

Thanks for the explanation.

Honestly, we have also a further problem. The tests compare time values
taken on different machines. It cannot be assumed that they are always
synchronized. Until now it works, but who knows.

The tests in tramp--test-file-attributes-equal-p do not require exact
time stamps. They just want to ensure, that time values in file
attributes are newer than the time the ert test case has started. I've
changed the test such a way, that it is compared with the start time
minus 60 seconds. This solves the two problems you have mentioned, and
it also allows a time offset of up to 60 seconds for the two machines in
question. This shall suffice for most of the caes in practice.

A more precise test would be to retrieve the ert test start time, as taken
from the remote machine. But I don't know of a general function doing this.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 10 Aug 2019 01:39:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 09 21:39:24 2019
Received: from localhost ([127.0.0.1]:43353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwGLr-0003C8-DY
	for submit <at> debbugs.gnu.org; Fri, 09 Aug 2019 21:39:23 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:54720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hwGLp-0003Bt-5E
 for 36940 <at> debbugs.gnu.org; Fri, 09 Aug 2019 21:39:22 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 58DD31626D6;
 Fri,  9 Aug 2019 18:39:15 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id BLQtj84MdcrU; Fri,  9 Aug 2019 18:39:14 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 49BAD162705;
 Fri,  9 Aug 2019 18:39:14 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id n0YaV2APoA6F; Fri,  9 Aug 2019 18:39:14 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 2295C1626D6;
 Fri,  9 Aug 2019 18:39:14 -0700 (PDT)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>, Glenn Morris <rgm@HIDDEN>
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN> <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
 <8736ibkbne.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <ca043b6b-9678-a33c-45ca-c65d8b30f228@HIDDEN>
Date: Fri, 9 Aug 2019 18:39:13 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <8736ibkbne.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus wrote:
> With that patch, your test passes.
> 
> (Damn time arithmetic!)

No, time arithmetic is fun! :-)

Your patch has several instances of (floor (float-time X)) that would be 
slightly better if written as (time-convert X 'integer), as the former has 
(unlikely) rounding errors that the latter lacks.

I assume that the test now uses integer timestamps because file systems 
routinely drop low-order parts of timestamps. But won't the test continue to 
have problems with filesystems whose timestamp resolution is 2 seconds? I have 
heard of such things.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 8 Aug 2019 14:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 08 10:14:36 2019
Received: from localhost ([127.0.0.1]:41537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvjBc-00022y-A2
	for submit <at> debbugs.gnu.org; Thu, 08 Aug 2019 10:14:36 -0400
Received: from mout.gmx.net ([212.227.15.19]:45351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hvjBY-00022j-GW
 for 36940 <at> debbugs.gnu.org; Thu, 08 Aug 2019 10:14:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565273660;
 bh=H53hI2tbDwiQ8mOW8Q8IJpCzJJgxrs1LpgXiV4bKkfY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LWOGKppAwrLdgTptoZmVfKve3SsBP7RTipCi1uX5ktCHj2vOknw9P86b2z8OW8UCx
 5nh57XXbLedxXbmH+usNKghy9NaPcDFDsuxHCHRnEIL18dxTJTBoagK5MGVmhqZRpc
 /lQi4mYDbjjoNLR9xUxbG/udrvWMGClmXWD4CHC0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M4axg-1hvAgU1Nyg-001lqT; Thu, 08
 Aug 2019 16:14:20 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN>
 <2aade23b-a1a8-bd53-781f-0d47aac3b3f1@HIDDEN>
Date: Thu, 08 Aug 2019 16:14:18 +0200
In-Reply-To: <2aade23b-a1a8-bd53-781f-0d47aac3b3f1@HIDDEN> (Paul Eggert's
 message of "Wed, 7 Aug 2019 12:36:02 -0700")
Message-ID: <87wofniw1x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:a1bS0kkQs2lG0M16EfFxfNDLuT+5K5PL3wtO3lBohG1x0Ycz00+
 Qo1TXqxxe7KErj9eZDqePCnkY87CY1OKDLpEBz1X+S6TU6oNLlV3UI5HKKT+5xk5l9u/gAW
 EBoB2FSn25PTG5SRcFVT4WSunmm7HTekxsYar4SxJSrC/HUhsJ+ha4poDNZ9Ggbw+FOQznW
 L9WmEnfpZT6y/Jcmf22Aw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YbVO5NP8m0E=:GR8+7N3MN9AiK5CDu1m2of
 StK3F83gvwcrqUPV2rSVRCTI1PnmZ5c4+FYm6U/VTjm1Eq5AI9LlG59o248BaSOcWxEajQFUi
 Fb6bYgdH4n3NYlUycr6SnqsEo9haD9/uiE3eBqdIYcfbOibf5ZT5hgUv92tqo5g+IFCZDHhcz
 3sUAQqIg7pCPKoZn0QtuC3aRLVtHMHLAuc+2vWUAS+tIsQyAJB9+gS5dy60HMV5Hc+awcyUEq
 +udowRr3dBo+VsshRO+7W73ghJAeZFCUJ04W7JOOzZ9qAA3w/xsVkUpP67l3UD39BaeEGqw65
 q6QukFVwt3c2Q8qjY0bsvg2NoCyeSGxT5pMwpErf+jYwDXGTbNXBc1Gp/1HpOZIRzWprqn5f/
 oo0TMtUIriFelKqyH0KuF1xF+EZBM8mg9T4kmN1UhGqmaDcNQHLIfGxZo0GYBsyuLnOA1qel7
 PXjyvcDveDYEUdWEssZpwuCRER+9BnupUguPk7sIshjl/q0adl0kfGKCumOya04iXdAuB6tan
 ksrLpnz3AMEvU4RXDvH5uKUlvqUKH9i073uS/Y1jmPbltkDgHsgS41j82Yf6XkTokuH5Bg5Ww
 91nVQX6NVBqOEBS/mW2o+GhybZ9VtIqF9nq46TLkwGcaQelTHO1UFUQvdbPoTJOA3awnumWiX
 um3jtVHNK63Z65MWRGejO4Yq2m05nEHkXOsMPg50EExYzWoixtkJ6+oD44i38x8m9JJJzFmQP
 wA/Jm2lFLXyDQgtq5xD9gPlFIt/Ol1GgRqpWOhJ6pCRkLI9lrmwXss12oLosb/HYs9sCGdlSZ
 ljACZvZ35e6cks+gzazAD7uhSeF5rFFXK3DwyQJVK0jpkmUpC4XSIoHl2MJ5THHlIOhOwZyD4
 5XDAu6iRJdVZq1i54lbnbOV0/bbPYzhBBE9ej6GsjzuS/u+Q33GQcC5Jw7rklsf1CXFRIPi0T
 GZ6e0v3qI7pC89MrmAq4n7uSMCyi+oa5aYXC3V/NF/C5CVzeo90WHi4huwrlmDqdiv55Pd/OU
 aLOvXukQDJhqy6BWgdJwUzKWQPNRtoEauJmXSV76xgJ/eNnind0tBhVG0BkEHbxl94GQAJ8EV
 c4KWNioeDoQDzVzBBe3tbs1OXXIc/IymuNLhGpgXUVu3T40RRBjtxiNIxyS7+3P2Ch+VZPbk/
 MzzZg=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> Thanks, it does fix the failure. However, the test is still quite a
> bit slower for me than you even when I invoke it the way you suggest,
> as it takes 108 seconds for me compared to 30 seconds for you. The
> four slowest tests are:
>
>    passed  37/47  tramp-test35-remote-path (25.712913 sec)
>    passed  42/47  tramp-test41-utf8 (14.036743 sec)
>    passed  17/47  tramp-test12-rename-file (8.772317 sec)
>    passed  16/47  tramp-test11-copy-file (7.754914 sec)

My machine is about 10 years old (Ubuntu 19.04, Intel Core2 Duo T95,
4GB). It runs today

   passed  37/47  tramp-test35-remote-path (4.826182 sec)
   passed  42/47  tramp-test41-utf8 (2.885723 sec)
   passed  17/47  tramp-test12-rename-file (1.725029 sec)
   passed  16/47  tramp-test11-copy-file (1.437843 sec)

But experience has shown, that it easily doubles or triples the time if
there are parallel tasks. It would need more debugging on your machine
in order to understand, where the time is spent.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 8 Aug 2019 13:52:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 08 09:52:33 2019
Received: from localhost ([127.0.0.1]:40208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hviqH-0001CK-Ay
	for submit <at> debbugs.gnu.org; Thu, 08 Aug 2019 09:52:33 -0400
Received: from mout.gmx.net ([212.227.15.15]:41279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hviqG-0001C8-1s
 for 36940 <at> debbugs.gnu.org; Thu, 08 Aug 2019 09:52:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565272329;
 bh=fZRtvqevdCqjXJByk2zJOv5sKTCLBuSEMFHdmTI/zTE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=abeEcz7mnSiqj/Ok5dN5UJ7gv+IzHaiAYjww8JCQmHTbvvbmAGCpM4BoAvw8v0Wn3
 xN8GgYnDk1nYDjqCOzEBBWg3Gjgx4/olSsmk6s/h07wL7FFdFDA8NcRpMqHglJXAXg
 ox1qACLWsP8dRAA9f1jVUl5f8zZqextnmGbbiJJA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MZCQ8-1hat891mEm-00KzKJ; Thu, 08
 Aug 2019 15:52:09 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN> <vbo910odo7.fsf@HIDDEN>
Date: Thu, 08 Aug 2019 15:52:05 +0200
In-Reply-To: <vbo910odo7.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 07 Aug 2019 17:42:32 -0400")
Message-ID: <8736ibkbne.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:y0qJOCqbkb0oL5hE9EQdNmAK7IN/B8NcscRJDr3lDsiIAGmmnr5
 gB1iTqf8DHHGVfYQclQ2kPqwdcelUKI2/E042aCmjGfYTNT0ormZH4ldQyBwkxUCTf6mun/
 OTEFbG935S1yRk/oTI9qkqM5Ee2j3nzICRftBK6JOj4BuQ2pbh/wS1Rh7zdbs0J6tS1sZRj
 hBCxjVKhynWnP9ML0eM9w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:p7DqLNYNzTY=:vP0wnpDeE8iHhoBRb66Qbt
 fKFsRZD9tr95m0gPpsaEALUCgQVg+9ZeAdQlNoGbvtxRlyvDsQ8rlw3ILOpvRUpMjA4owo2bR
 UwRc6sS2YbsjUcs2M35QnCZsl9BK4uQPttTiou6I/G09WAi4WvGFolaklEzcz7rHsS0lOU/wy
 pLhlm/qaImCJm4TcWgn16rFvAMATSHZsU5xlaI/nIMEugO7Lv+KeImAohdmj9/Ity4NnnltI0
 bvNs63Ixh065NUBHS9qxZ+pbM0gHV+qCWO26SMcp+e/6WAt8r0FIcslBe5jOzZyKNn3ulBzTs
 rxpZ1M3oZCCruM75Bwsq7NSNx5vBpNPUxM+ceE2F/ECkUxSQUEQoisIh7DmSyTzw+TdrbSnEQ
 QmFE2pt3vLBYLbE00rPu3zOBhiMi59PULa8xmiBtIv3chg9EV3C8UbzxegBhrhmebrYCxEQ/1
 iVFVBwCxbz0O2lqsQla3aJ5p9MhZ5u13S4llfmNASwqG4gywWNzjth6gYxrLkDt0OKWwHnCbj
 fEJol4Bh6uc4B1Z1NIYjGr+HMrqR5Gz67LR6B4P27ul8HLXFz1HcSnQBJy6UrCvFvYAm6Bjv4
 Ugv9hFbmhY+x6Z/dWBDR3l9I4qn/yiFc41TFytTgpEGiqFcLrYQJ2EkrzR6UIrH+EaG4gvVje
 qK4V2L7VVrF3jBN7pqWOaZ+ltT34tVjEXTbIp76aSY/KyM0tJEyEgb6HLp1J6M/nlx/wiwwdX
 O1gRVMv6SyuraBlMLH0PqatR0tMN8PETxEKyUq8ISoUBC8J0a7g4TD+DkMkvKmtXbo7vaW1p6
 tNfwdgq1iu+G/QY5oDfm3+jwSz0XzqN+vG0569Rokc69+wFfJ+r1K3n8OW699lHw3iB3QLpw7
 Ne7rYCWU6S08/0BFOOdF5Vh6YdLoj/p30t1JlZQZsihMW4N/TsOoRttyLsin7LVDSjT7lV+QI
 hKRrUiDI3hFdsb3L0h7OFj5fET+ckE4iPmnKzPEilaFuAvjIi2wxSDRnlc/YzLObMPT3p6HTB
 syKlyhvfaSzwvf+ElnPlG2Eqk9t2whpwU8c3IQ9dMTs0g/LNlJ6Me3G316FdJr6VtsJBlItlG
 0G9FsLuwdZJcSmPAypoew1J/9gXvSad//87rV1hPc9Prex2DudGqBIDWXpkQcxMwlhLydeeLg
 8qKrk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

Hi Glenn,

> I suspect it is now unstable. On RHEL 7.6 at d5622eb:
>
> for ((n=1;n<=100;n++)); do
>   make lisp/net/tramp-tests
> SELECTOR='tramp-test19-directory-files-and-attributes' 2>&1 | grep -q
> '[^0] unexpected' && let fail++
> done
>
> echo $fail
>
> returned 7 failures for me.

Thanks, this is a very useful test. I've committed another patch to
master. With that patch, your test passes.

(Damn time arithmetic!)

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 7 Aug 2019 21:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 17:42:49 2019
Received: from localhost ([127.0.0.1]:39579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvThn-0001Ar-66
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 17:42:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hvThk-0001AV-Q9
 for 36940 <at> debbugs.gnu.org; Wed, 07 Aug 2019 17:42:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52341)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hvThd-0003tn-VY; Wed, 07 Aug 2019 17:42:38 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hvThY-000266-Nx; Wed, 07 Aug 2019 17:42:32 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN>
X-Spook: BATF spies Environmental terrorist Uzi UMTS Narcos Denial
X-Ran: )96LkyX^2UhIkGtHe$#WLZyWp_d;bG(nG+tr5@]w3`wywax6o@E{$-bR|Uc]>Qi4lMbZzP
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 07 Aug 2019 17:42:32 -0400
In-Reply-To: <87r25xf1dn.fsf@HIDDEN> (Michael Albinus's message of "Wed, 07
 Aug 2019 17:20:36 +0200")
Message-ID: <vbo910odo7.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: Paul Eggert <eggert@HIDDEN>, 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


I suspect it is now unstable. On RHEL 7.6 at d5622eb:

for ((n=1;n<=100;n++)); do
  make lisp/net/tramp-tests SELECTOR='tramp-test19-directory-files-and-attributes' 2>&1 | grep -q '[^0] unexpected' && let fail++
done

echo $fail

returned 7 failures for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 7 Aug 2019 19:36:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 15:36:14 2019
Received: from localhost ([127.0.0.1]:39439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvRjK-0001VB-78
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:36:14 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hvRjG-0001Ut-Gy
 for 36940 <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:36:12 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4D6391625ED;
 Wed,  7 Aug 2019 12:36:04 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 8HDCDhPfrvhA; Wed,  7 Aug 2019 12:36:03 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5A0EB162702;
 Wed,  7 Aug 2019 12:36:03 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id dAfIploBzhu7; Wed,  7 Aug 2019 12:36:03 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 267791625ED;
 Wed,  7 Aug 2019 12:36:03 -0700 (PDT)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN> <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
 <87r25xf1dn.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <2aade23b-a1a8-bd53-781f-0d47aac3b3f1@HIDDEN>
Date: Wed, 7 Aug 2019 12:36:02 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87r25xf1dn.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------188F141237BC04500596E550"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------188F141237BC04500596E550
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Michael Albinus wrote:

> My most recent commit has passed the tests on emba. Maybe it works for
> you as well?

Thanks, it does fix the failure. However, the test is still quite a bit slower 
for me than you even when I invoke it the way you suggest, as it takes 108 
seconds for me compared to 30 seconds for you. The four slowest tests are:

    passed  37/47  tramp-test35-remote-path (25.712913 sec)
    passed  42/47  tramp-test41-utf8 (14.036743 sec)
    passed  17/47  tramp-test12-rename-file (8.772317 sec)
    passed  16/47  tramp-test11-copy-file (7.754914 sec)

Log attached.

--------------188F141237BC04500596E550
Content-Type: text/x-log;
 name="tramp-tests.log"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="tramp-tests.log"

make tramp-tests SELECTOR='$(SELECTOR_DEFAULT)'
make[1]: Entering directory '/home/eggert/src/gnu/emacs/static-checking/test'
  GEN      lisp/net/tramp-tests.log
Running 47 tests (2019-08-07 12:16:10-0700, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Remote directory: `/mock::/tmp/'
   passed   1/47  tramp-test00-availability (0.447767 sec)
   passed   2/47  tramp-test01-file-name-syntax (0.002684 sec)
   passed   3/47  tramp-test02-file-name-dissect (0.734056 sec)
   passed   4/47  tramp-test03-file-name-defaults (0.191961 sec)
   passed   5/47  tramp-test03-file-name-host-rules (0.175038 sec)
   passed   6/47  tramp-test03-file-name-method-rules (0.002534 sec)
   passed   7/47  tramp-test04-substitute-in-file-name (0.065262 sec)
   passed   8/47  tramp-test05-expand-file-name (0.015119 sec)
   failed   9/47  tramp-test05-expand-file-name-relative (0.299911 sec)
   passed  10/47  tramp-test06-directory-file-name (0.048115 sec)
   passed  11/47  tramp-test07-file-exists-p (0.664484 sec)
   passed  12/47  tramp-test08-file-local-copy (1.094731 sec)
   passed  13/47  tramp-test09-insert-file-contents (1.503054 sec)
Wrote /mock:Penguin.CS.UCLA.EDU:/tmp/tramp-testC7bzT8
Wrote /mock:Penguin.CS.UCLA.EDU:/tmp/tramp-testC7bzT8
Wrote /mock:Penguin.CS.UCLA.EDU:/tmp/tramp-testC7bzT8
   passed  14/47  tramp-test10-write-region (4.388953 sec)


   passed  15/47  tramp-test10-write-region-file-precious-flag (2.844410 sec)
   passed  16/47  tramp-test11-copy-file (7.754914 sec)
   passed  17/47  tramp-test12-rename-file (8.772317 sec)
   passed  18/47  tramp-test13-make-directory (0.573823 sec)
   passed  19/47  tramp-test14-delete-directory (0.743724 sec)
   passed  20/47  tramp-test15-copy-directory (3.543121 sec)
   passed  21/47  tramp-test16-directory-files (1.072810 sec)
   passed  22/47  tramp-test16-file-expand-wildcards (1.547967 sec)
   passed  23/47  tramp-test17-dired-with-wildcards (2.395239 sec)
   passed  24/47  tramp-test17-insert-directory (1.438945 sec)
   passed  25/47  tramp-test18-file-attributes (1.552938 sec)
   passed  26/47  tramp-test19-directory-files-and-attributes (1.411831 sec)
   passed  27/47  tramp-test20-file-modes (0.932448 sec)
   passed  28/47  tramp-test21-file-links (4.446227 sec)
   passed  29/47  tramp-test22-file-times (1.181041 sec)
   passed  30/47  tramp-test23-visited-file-modtime (0.897547 sec)
   passed  31/47  tramp-test24-file-acl (2.017728 sec)
   passed  32/47  tramp-test25-file-selinux (1.899147 sec)
   passed  33/47  tramp-test26-file-name-completion (3.399350 sec)
   passed  34/47  tramp-test27-load (1.290928 sec)
   passed  35/47  tramp-test33-environment-variables-and-port-numbers (0.580866 sec)
   passed  36/47  tramp-test35-exec-path (1.806510 sec)
   passed  37/47  tramp-test35-remote-path (25.712913 sec)
   passed  38/47  tramp-test37-make-auto-save-file-name (0.595497 sec)
   passed  39/47  tramp-test38-find-backup-file-name (0.877389 sec)
   passed  40/47  tramp-test39-make-nearby-temp-file (0.968422 sec)
   passed  41/47  tramp-test40-special-characters (4.483880 sec)
   passed  42/47  tramp-test41-utf8 (14.036743 sec)
   passed  43/47  tramp-test42-file-system-info (0.380808 sec)
   passed  44/47  tramp-test44-auto-load (0.917644 sec)
   passed  45/47  tramp-test44-delay-load (1.089584 sec)
   passed  46/47  tramp-test44-recursive-load (1.738185 sec)
   passed  47/47  tramp-test44-remote-load-path (1.063835 sec)

Ran 47 tests, 47 results as expected, 0 unexpected (2019-08-07 12:18:04-0700, 113.624368 sec)
1 expected failures

make[1]: Leaving directory '/home/eggert/src/gnu/emacs/static-checking/test'

--------------188F141237BC04500596E550--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 7 Aug 2019 15:21:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 11:21:02 2019
Received: from localhost ([127.0.0.1]:39243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvNkL-0006qV-RI
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 11:21:02 -0400
Received: from mout.gmx.net ([212.227.15.19]:36481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hvNkH-0006pg-Vf
 for 36940 <at> debbugs.gnu.org; Wed, 07 Aug 2019 11:20:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565191239;
 bh=oGY+msFR61V/kku13xXRMezxoUtnOTRQqNbx0zg5EHw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Rzrp0xtD+NTq1Fw3MY+KVii4g1cP7/KTtIGYiI2xnD4jvK+fyaSuPwdJU9t58OaFF
 tpZIqMqffvUjiEMm0sS4bZRVWZ8rRe0jJMsF5RAdZWi0HiVG7Z7OFCDV5GIF9WckY3
 hSUG4axIhS1DPxt88kEbdzDu6rvBiyGuqZb0/RbQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M5LJv-1iFo6q2Byx-00zXGe; Wed, 07
 Aug 2019 17:20:39 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
 <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
Date: Wed, 07 Aug 2019 17:20:36 +0200
In-Reply-To: <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN> (Paul Eggert's
 message of "Tue, 6 Aug 2019 16:27:34 -0700")
Message-ID: <87r25xf1dn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Eck+kDXG+tq9aj/NLAyMcPmb9Taor0GcllkAUBj5xZi5gbK7Rh2
 pRXtHoUmdyoUqSQxCijbey3W0U2I3CDmbXQo8RMDOrcTJyVdUzU+6swNWHQRUiVR2p1bhDG
 vl1XND11HgXzyx0C2V4aVaNp4MTQfeM3XjiMtKlRUiAWAqdAPcr8YnyIMszJPX2Op0+A4WP
 izSKPoIMkwqFYgSAWuMRA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:R/sUWLdqaew=:Fs5w6qRWed0DSkhKJfnN5i
 cqiiuSGRtASKivjsaPxMxAW7CQQMZ+vvtzXd9zbk3Rw5DxfqZ5yvAREF9JkZICa912BM9BJOn
 e1tGnZK1NDCzamQEa4cTrRHfCwlJUgU7z0GWbY6+9GTS5Fk6LvrhwJf/P7X9geAbhCsdbd3sS
 IgV90mIOtZp9Q9L62pX7zMPeVeNXuO2KTFODZLZX6odSR847rcqR5zfcmZjI1ArvK2FAxiNm9
 hIxf+cyrNudLCnHZsD/n5h7bh+1O9EweRc4wdFG67lRjyzTuCy3l6hmy++qCWrj1VKS7DVIC8
 xj43TcESp6tda/XLOQ6xKmfY0ZL5wcY2iOuN0Vn+Fuo0PH2OcpYLzdydcAVZJeya7HarO4lxN
 uKkyeJK2OulDckgP5IkvqAg5B4wdYTJ4PWDjXi+M9zF8L2ps6cvppTJ7P5d+ULNniCSFePg2+
 YOi4SpN/2wOFErleQHMkIQtqJRnm2Dd6AVMJw4ebWmcMObYOTt50q0U4BlHHVg73WYE86uZUa
 vj2Xy3MUMhPbmFoRrjovBBFsfCL5JfOuawHmUSOJKyRAZqbcniWx6HwdSBf4Yv5kw4eu3/sPl
 MrNnjjT/+muyqi3sccOdhtGbKMJOjSGyZM+CsnvcG/cHjrFuDodbz32NCjtVysQtapJe5Bzv2
 0i9ZdhS4yfgsa/KcAl7rCR4M33q838m+FGfA7hxzrjxTBQdX/mqNPYl9XqZNtGPJfrwV4tYJw
 N97eB2pMYNj/pRA5JLZX00LYLroH8wkIe2Sh337q533MjWV8xMmiKR+Q7KC5fAGZBmOjlFn9O
 OcB2bFRt1CE/DduneYJvjIg+wTAnHQNs1mG+HEuPZXOrOica5h1L+bh2+6JHBraL1IsM/jtD8
 ZHUff3E6ZR6UPdCjF8TBMi3Z6g//2MNr/6y5B0UEUaczX9kHLDEAlRLVXAQiAhaJx33ZLIoGi
 ZrLz6g5mQI815ozIZr7i2B2W5C4t5jXdBLYDrkY0h4kp4sP1c8f8Z4G0HR8a5jlZnYyQExnOz
 ZWEsqwSAomOPVVkTjCeRlM9LzKKRmmIUNtUa7OHGNZgY3E6Xj3KJwReGtVfL0ujdRo6Jz4a6b
 ExjrQLoanm3kBgrnISlUyj1cipGbBuaPEATbR7IqIsTQCxUSzi0nCzMcpb/AzhwZojDmTErLL
 XS26Y=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> Unfortunately I'm still having a problem with that commit
> (998f3612f7e3732d43d8cc6827a16a29008f5db5) on the same platform. Log
> attached. For what it's worth, the test does work for me on another
> desktop that runs Ubuntu 18.04.2, which uses Linux 4.15.0 instead of
> the Linux 5.1.20 in the failing Fedora 30 platform.

My most recent commit has passed the tests on emba. Maybe it works for
you as well?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 6 Aug 2019 23:27:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 19:27:44 2019
Received: from localhost ([127.0.0.1]:37969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv8rn-0002HP-Oj
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 19:27:44 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hv8rm-0002HD-Ds
 for 36940 <at> debbugs.gnu.org; Tue, 06 Aug 2019 19:27:42 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6C5BA1626EF;
 Tue,  6 Aug 2019 16:27:36 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id MUdHk7bG9qka; Tue,  6 Aug 2019 16:27:35 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5A45616270E;
 Tue,  6 Aug 2019 16:27:35 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id Qn59w316IeyH; Tue,  6 Aug 2019 16:27:35 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 2E7311626EF;
 Tue,  6 Aug 2019 16:27:35 -0700 (PDT)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN> <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
 <87v9vaf4sk.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <a835371d-64a0-632c-5db4-2e886a26b0f4@HIDDEN>
Date: Tue, 6 Aug 2019 16:27:34 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87v9vaf4sk.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------D174D8F4C62545F78B824720"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------D174D8F4C62545F78B824720
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Michael Albinus wrote:
> I've pushed a patch to master, which ought to fix it. Could you, pls,
> check?

Unfortunately I'm still having a problem with that commit 
(998f3612f7e3732d43d8cc6827a16a29008f5db5) on the same platform. Log attached. 
For what it's worth, the test does work for me on another desktop that runs 
Ubuntu 18.04.2, which uses Linux 4.15.0 instead of the Linux 5.1.20 in the 
failing Fedora 30 platform.

--------------D174D8F4C62545F78B824720
Content-Type: text/x-log;
 name="tramp-tests.log"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="tramp-tests.log"

Running 47 tests (2019-08-06 16:22:08-0700, selector `(not (or (tag :expensive-test) (tag :unstable)))')
Remote directory: `/mock::/tmp/'
   passed   1/47  tramp-test00-availability (0.124120 sec)
   passed   2/47  tramp-test01-file-name-syntax (0.000474 sec)
   passed   3/47  tramp-test02-file-name-dissect (0.133566 sec)
   passed   4/47  tramp-test03-file-name-defaults (0.040009 sec)
   passed   5/47  tramp-test03-file-name-host-rules (0.032902 sec)
   passed   6/47  tramp-test03-file-name-method-rules (0.000472 sec)
   passed   7/47  tramp-test04-substitute-in-file-name (0.018056 sec)
   passed   8/47  tramp-test05-expand-file-name (0.021939 sec)
   failed   9/47  tramp-test05-expand-file-name-relative (0.077058 sec)
   passed  10/47  tramp-test06-directory-file-name (0.029155 sec)
   passed  11/47  tramp-test07-file-exists-p (0.209483 sec)
   passed  12/47  tramp-test08-file-local-copy (0.354774 sec)
   passed  13/47  tramp-test09-insert-file-contents (0.443813 sec)
Wrote /mock:Penguin.CS.UCLA.EDU:/tmp/tramp-testjXVD5K
Wrote /mock:Penguin.CS.UCLA.EDU:/tmp/tramp-testjXVD5K
Wrote /mock:Penguin.CS.UCLA.EDU:/tmp/tramp-testjXVD5K
   passed  14/47  tramp-test10-write-region (1.247663 sec)


   passed  15/47  tramp-test10-write-region-file-precious-flag (0.823604 sec)
   passed  16/47  tramp-test11-copy-file (2.175732 sec)
   passed  17/47  tramp-test12-rename-file (2.528836 sec)
   passed  18/47  tramp-test13-make-directory (0.187178 sec)
   passed  19/47  tramp-test14-delete-directory (0.251401 sec)
   passed  20/47  tramp-test15-copy-directory (1.036025 sec)
   passed  21/47  tramp-test16-directory-files (0.327911 sec)
   passed  22/47  tramp-test16-file-expand-wildcards (0.481569 sec)
   passed  23/47  tramp-test17-dired-with-wildcards (0.669597 sec)
   passed  24/47  tramp-test17-insert-directory (0.478189 sec)
   passed  25/47  tramp-test18-file-attributes (0.491410 sec)
Test tramp-test19-directory-files-and-attributes backtrace:
  signal(ert-test-failed (((should (tramp--test-file-attributes-equal-
  ert-fail(((should (tramp--test-file-attributes-equal-p (file-attribu
  #f(compiled-function () #<bytecode 0x759ea5>)()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name tramp-test19-directory-files-and-attr
  ert-run-or-rerun-test(#s(ert--stats :selector (not ...) :tests [... 
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/net/tramp-tests" "--
  command-line()
  normal-top-level()
Test tramp-test19-directory-files-and-attributes condition:
    (ert-test-failed
     ((should
       (tramp--test-file-attributes-equal-p
	(file-attributes ...)
	(cdr elt)))
      :form
      (tramp--test-file-attributes-equal-p
       (t 2 1000 1000
	  (0 0 0 1000)
	  (0 0 0 1000)
	  (0 0 0 1000)
	  60 "drwxrwxr-x" nil ...)
       (t 2 1000 1000
	  (0 0 0 1000)
	  (0 0 0 1000)
	  (0 0 0 1000)
	  100 "drwxrwxr-x" nil ...))
      :value nil :explanation
      (list-elt 7
		(different-atoms
		 (60 "#x3c" "?<")
		 (100 "#x64" "?d")))))
   FAILED  26/47  tramp-test19-directory-files-and-attributes (0.369029 sec)
   passed  27/47  tramp-test20-file-modes (0.320524 sec)
   passed  28/47  tramp-test21-file-links (1.356889 sec)
   passed  29/47  tramp-test22-file-times (0.385596 sec)
   passed  30/47  tramp-test23-visited-file-modtime (0.287367 sec)
   passed  31/47  tramp-test24-file-acl (0.637262 sec)
   passed  32/47  tramp-test25-file-selinux (0.600209 sec)
   passed  33/47  tramp-test26-file-name-completion (0.939379 sec)
   passed  34/47  tramp-test27-load (0.405834 sec)
   passed  35/47  tramp-test33-environment-variables-and-port-numbers (0.198027 sec)
   passed  36/47  tramp-test35-exec-path (0.555709 sec)
   passed  37/47  tramp-test35-remote-path (7.146605 sec)
   passed  38/47  tramp-test37-make-auto-save-file-name (0.166199 sec)
   passed  39/47  tramp-test38-find-backup-file-name (0.283166 sec)
   passed  40/47  tramp-test39-make-nearby-temp-file (0.301932 sec)
   passed  41/47  tramp-test40-special-characters (1.293997 sec)
   passed  42/47  tramp-test41-utf8 (3.912456 sec)
   passed  43/47  tramp-test42-file-system-info (0.119547 sec)
   passed  44/47  tramp-test44-auto-load (0.257730 sec)
   passed  45/47  tramp-test44-delay-load (0.326524 sec)
   passed  46/47  tramp-test44-recursive-load (0.483671 sec)
   passed  47/47  tramp-test44-remote-load-path (0.310085 sec)

Ran 47 tests, 46 results as expected, 1 unexpected (2019-08-06 16:22:41-0700, 33.480313 sec)
1 expected failures

1 unexpected results:
   FAILED  tramp-test19-directory-files-and-attributes


--------------D174D8F4C62545F78B824720--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 6 Aug 2019 19:54:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 15:54:56 2019
Received: from localhost ([127.0.0.1]:37824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv5Xr-0004c5-R8
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:54:56 -0400
Received: from mout.gmx.net ([212.227.15.15]:38133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hv5Xp-0004bs-Ek
 for 36940 <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:54:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565121279;
 bh=W5aMT3Pco2aQQKHd7naBaMFxSJPU3my0Of6/3D3/vtc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=VQ4FsP9nwPghaYhuUPnGyjIYhWqPT6yzHCBmqqEyakERsjMrBLi/2UwfRlE73Gg1J
 UKvi7BQFl2pftkiiGDLc7fX5//PJ45quoSn6ioyVv81jt128qBBdTIyQn+ZGcpVoTg
 2sPmMhIGNWJKUYKxFU55/ISV4SF+57/bbLSzNMgU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LdpcB-1idFuf3FQp-00j2tt; Tue, 06
 Aug 2019 21:54:38 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
Date: Tue, 06 Aug 2019 21:54:35 +0200
In-Reply-To: <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN> (Paul Eggert's
 message of "Tue, 6 Aug 2019 09:13:05 -0700")
Message-ID: <87v9vaf4sk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:guxdKBIr2ts/LSHYpaMwD1v9dcjecLSh5jz/0WC8ZbhU1otvT8x
 xQCswFIorqVyBvS10MfqMqNoD9mZqnoqOLG94WZYuOCL4Ed3AwuXEe5LWvN3IsV6pJS4MmT
 m2EIHCjpZbZcls8sQ8vjHPlJLPkNND04ujIQrFXwSzMw6LbIy2tNONSGmb6eBjGJ5GFjpLS
 PSPTwVExlKxGmAVvkB6pw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qh8u0Uwdx4A=:4loa6KV5cbvRO7bkQUUEOJ
 EaBqInw+QNztqQ5jP4hSxqJNCRx3oDr4OOoxDsnAX4hxijXYO/Dkx9ahHijRK02XbG8owxAe/
 eHPDPrDG2gzH8ZpdqAbVIPIPKBXxOI8eBGcqQswSSC6dPqv28bBLitsiA4g0bUHlr3cAsgFK0
 1efnQQJC3jPRzt5pLce0+FwuGNZue18qVkVkGkcfc8/TvDB82pn6zMHL1qmElnsX7t4Yy5m/K
 T5nsgxA5c9udYT+S3OMiY11QZpduqd8PkKmJ9kdOjLVjxDgxstYHtyPXYKd6fIe4dzdqGby5A
 sZTm8aqNmQp2pVVoTToC9tcfS5vlN2pJDJ4uG1LEYVAW0dNnzTUarN7G5swNGVXKSbkLYhN+8
 +LTWiBL3YUU26hm9/Uoha7V0Q3kAlLRXQNJ/2Q9E9ovWa/Wc9AMZ3GzkENOx/u+dO3WcAgqvb
 nlhbRUAG+42M9hGllGHNKNmAXEkun9NmHL6OxZIrZvVNSHDvHiAu/+1w534bVpSeRpxquMz2o
 MGF3ydzLcPRr+QsqbqvuxGQAcoWg2rbvFovW+giK2ncnCCQaIHkT3ltYdV72rVEU1Fo/RY8eo
 Pk63jpdg07SEdzbuJC+bJp7XlM+3vPKirpkb1AHd47c+ybQLq5MiuBxPvQRT3YTkW+UItcIdt
 wuFjXJfikiGrNKycy+NMMJhhO6q+mP0XDrbB40/rwTHms+nqkDstYIbUgNswgdLEo3HI3L0CX
 EXVmH93dpH08s2vg9rHL2GPTngpazP2WsYJ09w8Fek50S7BXU4nLZzyui8c4HfKiJn+cIkutb
 uXsBnta/gPw5s8HKK9+3C6TxcPByOdKO5jr5aq9AT6hoPEB+l1d3THz4XGyKjrlxXP7gVRhnb
 CxmEtxvBPhcWyzWRVirSJevFsQ+8Yji2+yyaD225aVU2Kb2noC/L99uVKwTshUQ2L/5+RzVP/
 gptLtxsCPPbrapZlcpMAhXV4atymiXSniyIa1cW3yhTeJ7ClPn6XoE8i52L6gB5Y1vL2F72R0
 YSteSJyN7f15pdbYGiYVGXabEK46zFgbJJFLkPDTc6xL/x1nwuxZm++FTD4IeTOGAdui04NeI
 KC72wp7Wyluv42l+c2+cDf5egWoDpnQggaGYDrNcKw6qegYecyUxe7LmYcYGStWYF3MIWqD0y
 bWiLw=
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

>> Hmm, prior pushing the patch yesterday, all tests have passed. Today, I
>> can reproduce the problem. Maybe some of the time conversion changes,
>> arrived over night, have caused this failure? Will check.
>
> Thanks for looking into it. The failure started with commit
> 2019-08-05T11:09:26Z!michael.albinus@HIDDEN
> (6c1d0d53b34d9350d55ebbd83ea56aa751a55f1b), which predates those
> time-conversion changes.

I've pushed a patch to master, which ought to fix it. Could you, pls,
check?

It was a problem inside tramp-tests, indeed. My final check yesterday
must have been too sloppy, don't know ... :-(

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 6 Aug 2019 19:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 15:16:25 2019
Received: from localhost ([127.0.0.1]:37786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv4wa-0002kI-UX
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:16:25 -0400
Received: from mout.gmx.net ([212.227.15.15]:55431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hv4wY-0002d6-BA
 for 36940 <at> debbugs.gnu.org; Tue, 06 Aug 2019 15:16:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565118972;
 bh=lPp8pDd0kQrqY6bD0jANymgW5tzv2QbfxQcfE1uCbgk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Hyg76y1quHngvCMGxiwHrtnoIluOJ7cqtWFSEcEzMo/Uy58sYcE++5b0Ekj9zlThQ
 yn1TVEVQsoTOv6UMyazzKqJYEyOD51ZkIoTlbT1/E7HhO64WeY7u6yQ9DIM2k0pA3J
 YaM4zTbVri2pDqrNCxD/yucRYxw9oqgfts+hYCr8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N49h5-1iL1o512iv-0105Ig; Tue, 06
 Aug 2019 21:16:12 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
 <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
Date: Tue, 06 Aug 2019 21:16:09 +0200
In-Reply-To: <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN> (Paul Eggert's
 message of "Tue, 6 Aug 2019 09:13:05 -0700")
Message-ID: <87zhkmf6km.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:y49JidjbLrXG4F5vVdezE5n715bOdNAbXpazifwkVRRhR4NmkL1
 hilEQeQfnhJqiK7r3s7dWoQbygiab5mmIJ21qoCuPvW1V2WjWUBwpm10+92zPPZ1GBpk5SA
 IkcZyjw2il/IxDWcYWlW9l5k2mVxFtTZPeY+V0rl8hGt5SlUB3F4jwY+/kOgmXjIDcPMJ1j
 +l7VqBE0MXX4R7dDQLieg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:iKS2wc3TbH0=:krXpnP5s/fN5tDSYc/ruXf
 4/DpZxKWHsBI9pADpTFoNiTJW/HcLqFqrxZGzLu80RmtOg5la8M0frMAxDDqwPDqvgWZbSYko
 tXDRjM2/NbgGxBSvBuH6+HbFZcK/GaabR9wA8hHFBBjloVLy4XVKhsRz/Hy+9UQ8Tq2e6iQXT
 i6jysn+HZSTSWCz/EhwmRLNIPlcHwE58U1/j9fQWrltkndfNLOkQclTs5kLAJuSfYmmxpgG7S
 iy50j77fMXU/gLSxfH+mIJxn82sIehi284U2CsqqsJD+trQKwdoxlKh3EYpIlC/rwdsh97HHi
 TKjCzQBgIIUnekjUDX6bZf7cUN5R/MB/pl4K5o/Pqnk/k6v6WkVya82IkxESQvP/uYcSG4ZMg
 O5ipX5/CSHV0tceUj9GdvrVArIBYa1ZuY3IhRCoo3peU8t/ttH+75v0Kajn+ZkUX1LmUoJp1u
 P6MGCymOi7u80/WYBWUpz6fLYyAPSLtyqOrB+kS9iJdt4Dv9PpCb/VvpnMu1OkkG+1CrOmfXZ
 bpiX82G5+kMURsY3FrH9nhFSeQRfujoIOuDkDM7SF15AI2UZF5+AsUdEsOg9K0zIg1tYHCWHy
 PMCr8aWElEGZMJZ/mvUHh1g0Ml1HXs7p3AAbX9Cl10mFzanuW5K7yq8u3b+YvJ6u86EQSsWQy
 hUCCio5B+TefqGIar3PDlYGTXlJcU1wRLQ6SZPCQcrT+Xjna7C6vBAELjtdGfloTHGNpnFcG9
 eEqIuSZJWhrNPlUeIFVU3s7NRKwdB6b4KtWbdxxK6WBdWPhLr00OYfI88RmoxXtbIGPGOXo2J
 BBEYKrrWDUPcThFQyqHDJ7il+JVB3HMdqQHzEy41nsaubipWQWaSSfu7zu/tLfEOgwU2WtG/Y
 h5DhrQCJGoMNjk9tlxajUP9K7LiEjJkaopO1gab8mxF+uA3pQFWmFQtN7V6F/Oailz45sr39m
 hbbl43KzKbbW/MjxhjDHND7MRwMn2hdfoi2ImD8I7XfBU2Ur12mWZ/1PyOq7yszbPdDTtDXwJ
 Lbk1HqQl4O2cAu52LrCJCBv/1A3LRzM2Soamjt9b2amZO6B2kOQH1phgCNe5XnUxQEiaW0lwn
 3d4W0z8smZMvUeWooezITZYEycsfUP1hJYGWRF0qTMjr9sy6YtQrhXUZFXKfsw/gv8kdtFMma
 YSxjs=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

>> If you want to run the
>> default tests, which are active while "make check", you must use the
>> default selector. See test/README.
>
> Thanks, I didn't know that. But that's confusing, as it's natural to
> assume that if FOO is an individual check, then 'make FOO' will run it
> the same way that 'make check' would. Would it make sense to change
> this test to be more natural?

It is intended this way. If I call 'make FOO', I'm interested in package
FOO. For example, because I have changed something in FOO, and I want
to know that I didn't break anything. Expensive tests are part of this.

This is the most applied use case of 'make FOO'. At least I call it
several times a week for exactly this reason. That's why we have the
behavior as it is.

All of this has been discussed already, somewhere in the emacs-devel ML
archives.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 6 Aug 2019 16:13:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 12:13:15 2019
Received: from localhost ([127.0.0.1]:37690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv25L-0006yr-Hq
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:13:15 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:33510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hv25J-0006yb-DW
 for 36940 <at> debbugs.gnu.org; Tue, 06 Aug 2019 12:13:14 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 196DB1626B7;
 Tue,  6 Aug 2019 09:13:07 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 5OXnJWdhkroo; Tue,  6 Aug 2019 09:13:06 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5BA271626ED;
 Tue,  6 Aug 2019 09:13:06 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id fG87ZbCWkgue; Tue,  6 Aug 2019 09:13:06 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 3AF991626B7;
 Tue,  6 Aug 2019 09:13:06 -0700 (PDT)
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
To: Michael Albinus <michael.albinus@HIDDEN>
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
 <87h86uh2l6.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <1bec46f5-01e7-5ea4-5562-501185d80ecf@HIDDEN>
Date: Tue, 6 Aug 2019 09:13:05 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87h86uh2l6.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus wrote:
>> Second, the tramp-test19-directory-files-and-attributes test now fails.
> Hmm, prior pushing the patch yesterday, all tests have passed. Today, I
> can reproduce the problem. Maybe some of the time conversion changes,
> arrived over night, have caused this failure? Will check.

Thanks for looking into it. The failure started with commit 
2019-08-05T11:09:26Z!michael.albinus@HIDDEN 
(6c1d0d53b34d9350d55ebbd83ea56aa751a55f1b), which predates those time-conversion 
changes.

> If you want to run the
> default tests, which are active while "make check", you must use the
> default selector. See test/README.

Thanks, I didn't know that. But that's confusing, as it's natural to assume that 
if FOO is an individual check, then 'make FOO' will run it the same way that 
'make check' would. Would it make sense to change this test to be more natural?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at 36940 <at> debbugs.gnu.org:


Received: (at 36940) by debbugs.gnu.org; 6 Aug 2019 13:04:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 09:04:50 2019
Received: from localhost ([127.0.0.1]:36584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huz90-0008PT-6W
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 09:04:50 -0400
Received: from mout.gmx.net ([212.227.15.15]:52025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1huz8x-0008PF-Fo
 for 36940 <at> debbugs.gnu.org; Tue, 06 Aug 2019 09:04:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565096679;
 bh=fkjJjQ2k6Oqe1NPJ4MmPI0kp5G5PTYG1d7vCA4+DEbU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=PlMqNwWUoikeOjzabcji+a30//zy4uV4Nr/bpDk96h88avFN/KlM07qUmDrq5FIaw
 ZKe9lUHs3lQOA049sMb1FyQex9iYM6FVMqKU7/YamHsIUz8Gk4EcyZOLYdEI/ZxrEj
 RbGNrQUiPrjkhefpmtixGghWGbmigRuEBIHHELXE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.91.249.250]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MTzf6-1hmdL30shW-00R18B; Tue, 06
 Aug 2019 14:59:19 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
References: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
Date: Tue, 06 Aug 2019 14:59:17 +0200
In-Reply-To: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN> (Paul Eggert's
 message of "Mon, 5 Aug 2019 17:28:12 -0700")
Message-ID: <87h86uh2l6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:aO7a0JDS0fZNqupfGiywpxFFWH8km0v2YGlFS5AatlLAcTqisk7
 p4MZanjH18CQ6H4DwPAEoYNsZWOzjmpyZ7bNYFU6Wa45e6i23+z47U9alKm3ktXA42EC97x
 kekqRPPa/b1T1EFWUHNmfLkgmB7HlvS/lASawtRdeEHQPHHX85/lOV+agWvlbWhoHCMghCi
 w6MdjSqFuCbie3YIXYQ5A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:REDAlS63+9c=:itRNX//YovQ4u2IH1IWihG
 WZz5RxJqMZAKIN3Lq+K/RJdGp2lCDhnTi3kZMQTuVDMC8SE95Gn7iaLB805PBuPocg7yfOazw
 Q9HxXawGV/MstEYxT8+qcrJtf6fyC6RYEQVyZ+WkCWZmGgtYzW3IvaT5o9Ocd8tnrnXdmkDu7
 diO3kzz/jde3TaGWRvxQjVo3fR7Np7wkdmhnDP2dg8HcuwkbgcZENCRpxI2APIZu82M+rVypF
 1LN5lmaG9r9hoZXNIaVyDLlCnPHXoPZxtjUXBTYVLtLH0GYeiV29tuAi5Z32+lrFbI5Ctd1tv
 V4ziTldlcRwTG6k2AjjyIiwoBK4rA3Cp2Gfcd/HVn8nqiRTt97KkrWxgYeBMUSVu8cvaPYRZF
 EolfaW60GrJ89zy9bj+5/3ZlOOeWSb/dN1OIMzQGkU7MKYCOCD8M1PHP89VdzaM6eXwek5DWV
 zrTJqc0kftcy0I8k2WdVewSaLHve/qt8D1AFZ4WrnyURIPO+n1yIUZlEaElADinLFsIDzu+4g
 iZ/NUrt2o/k1JTbVFbgziUUjcgnKEoyr8hBKuQXJ9+Dnw0+s8eQbvGou3baDNlznOclgrs/D8
 UT41O/MzVmJQVXyPBYC+yoiUgUz5XwHqF4W6VWtfI5rhhuAVA8MwpvqBa1yWkaBzlSiCW1DQf
 iQZ1nGceIsO+warzWk7MFV9lNnyGj7xVOTibXkRrzbOghLy7g6XAErnTWPMSuobniFT4ZFWKB
 IKTct3/hRBfHbgeC4X6WcPIPD4ml2RThSjfG+wmmgkkQTio76UfHNjEePmCsoc3pzxhZltw/h
 pO76oRbg2IGM2MY767wjn0DDELEidBkpF1/Ud4W5d+sT1Lookn5pfYCC5aH8ybnfCUadoM0gn
 nIOW739IGEeMZ1pMb2i8LttrmM3yn2+zsvfQ+OM3e8CoAafgzm6cbLFIBn5PN+vZfp3vlXuFl
 ruC+y33pJzJzXHz6VSdiLuou2yeMksfCdMjsG9PHp2FWuKzRhhOU3LACACUVZYSWcdUQgktxK
 zOvqQkuudgulGouH+9M4Y33IWgVHpfRw9RfOMgaY6pku1pNSs1eqMAVfM8NldFZ/5PIM7Lvnm
 gMrE4l4S8c3kmPO0j3mQFJHxh75xdbT10d9mYbigPbsbQIIVrOrAHQQknDYpVO2TmCT04sAJT
 n/2HU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36940
Cc: 36940 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Eggert <eggert@HIDDEN> writes:

Hi Paul,

> I'm having trouble with 'make check' after the recent Tramp changes on
> master. First, the Tramp tests are now too slow; they take over 6
> minutes on my platform (Fedora 30 x86-4, AMD Phenom II X4 910e,
> default optimization), which is so slow that I don't want to run 'make
> check' while developing, which would be a bad habit to get into.

You have run the expensive tests with this call. If you want to run the
default tests, which are active while "make check", you must use the
default selector. See test/README. On my local machine, this makes the
following difference:

$ make tramp-tests
Ran 67 tests, 65 results as expected, 1 unexpected, 1 skipped (2019-08-06 14:45:25+0200, 420.067490 sec)

$ make tramp-tests SELECTOR='$(SELECTOR_DEFAULT)'
Ran 47 tests, 45 results as expected, 1 unexpected, 1 skipped (2019-08-06 14:49:12+0200, 29.771561 sec)

Note, that you don't need the whole path of the test file, its basename
is sufficient.

> Second, the tramp-test19-directory-files-and-attributes test now fails.

Hmm, prior pushing the patch yesterday, all tests have passed. Today, I
can reproduce the problem. Maybe some of the time conversion changes,
arrived over night, have caused this failure? Will check.

> A nit: the output has some weird spacing and log lines.

I know. Its a continued hunt for years to remove these quirks. Some of
them (like the empty lines) are mysterious, and hard to detect where they
come from.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Aug 2019 00:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 20:28:27 2019
Received: from localhost ([127.0.0.1]:36045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hunL0-0003WK-Vs
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 20:28:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:49441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1hunKy-0003WC-6U
 for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 20:28:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36674)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <eggert@HIDDEN>) id 1hunKw-0003Yt-Jf
 for bug-gnu-emacs@HIDDEN; Mon, 05 Aug 2019 20:28:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1hunKv-0007EU-0r
 for bug-gnu-emacs@HIDDEN; Mon, 05 Aug 2019 20:28:22 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:50456)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eggert@HIDDEN>) id 1hunKu-0007CT-OQ
 for bug-gnu-emacs@HIDDEN; Mon, 05 Aug 2019 20:28:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7705D1611D1;
 Mon,  5 Aug 2019 17:28:14 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id d9op3if90L-H; Mon,  5 Aug 2019 17:28:13 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 3AFBC1626E3;
 Mon,  5 Aug 2019 17:28:13 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 5kCkN6AMgawI; Mon,  5 Aug 2019 17:28:13 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1063F1611D1;
 Mon,  5 Aug 2019 17:28:13 -0700 (PDT)
To: Emacs bug reports and feature requests <bug-gnu-emacs@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: tests slowness and failure after recent Tramp changes
Organization: UCLA Computer Science Department
Message-ID: <57e233fe-19e9-6eac-7fd5-7e181879d4df@HIDDEN>
Date: Mon, 5 Aug 2019 17:28:12 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------03A2E7A99A9C74B767946AAE"
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 131.179.128.68
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------03A2E7A99A9C74B767946AAE
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I'm having trouble with 'make check' after the recent Tramp changes on master. 
First, the Tramp tests are now too slow; they take over 6 minutes on my platform 
(Fedora 30 x86-4, AMD Phenom II X4 910e, default optimization), which is so slow 
that I don't want to run 'make check' while developing, which would be a bad 
habit to get into.

Second, the tramp-test19-directory-files-and-attributes test now fails.

A nit: the output has some weird spacing and log lines.

Attached is a log illustrating the problem.

--------------03A2E7A99A9C74B767946AAE
Content-Type: text/plain; charset=UTF-8;
 name="tramp-log.txt"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="tramp-log.txt"
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--------------03A2E7A99A9C74B767946AAE--




Acknowledgement sent to Paul Eggert <eggert@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36940; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 25 Aug 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.